<?php

add_action( 'template_redirect', function() {
    $instance = \Elementor\Plugin::$instance->templates_manager->get_source('local');
    remove_action( 'template_redirect', [ $instance, 'block_template_frontend' ] ); 
}, 9 );

 
add_action( 'elementor/element/image/section_style_image/after_section_end', function( $element, $args ) {

    $element->start_controls_section(
        'img_xtra',
        [
            'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            'label' =>   esc_html__( 'Image Extra', 'thepack' ),
        ]
    );

    $element->add_control(
        'enbg',
        [
            'label' =>   esc_html__('Enable background', 'thepack'),
            'type' => \Elementor\Controls_Manager::SWITCHER,                                
        ]
    );

    $element->add_control(
        'before_bg',
        [
            'label' =>   esc_html__( 'Before Background', 'elementor' ),
            'type' => \Elementor\Controls_Manager::COLOR,                       
            'selectors' => [
                '{{WRAPPER}} .elementor-image:before' => 'background: {{VALUE}};',
            ],
            'condition' => [
                'enbg' => 'yes',
            ],                            
        ]
    );

    $element->add_responsive_control(
        'bf_wid',
        [
            'label' =>   esc_html__( 'Before width', 'thepack' ),
            'type' =>  \Elementor\Controls_Manager::SLIDER,
            'range' => [
                'px' => [
                    'min' => 1,
                    'max' => 800,
                    'step' => 1,
                ],
            ],               
            'selectors' => [
                '{{WRAPPER}} .elementor-image:before' => 'width: {{SIZE}}{{UNIT}};',
            ], 
            'condition' => [
                'enbg' => 'yes',
            ],                                        
        ]
    );

    $element->add_responsive_control(
        'bf_ht',
        [
            'label' =>   esc_html__( 'Before height', 'thepack' ),
            'type' =>  \Elementor\Controls_Manager::SLIDER,
            'range' => [
                'px' => [
                    'min' => 1,
                    'max' => 800,
                    'step' => 1,
                ], 
            ],               
            'selectors' => [
                '{{WRAPPER}} .elementor-image:before' => 'height: {{SIZE}}{{UNIT}};',
            ],  
            'condition' => [
                'enbg' => 'yes',
            ],                                       
        ]
    );

    $element->add_responsive_control(
        'bf_td',
        [
            'label' =>   esc_html__( 'Top spacing', 'thepack' ),
            'type' =>  \Elementor\Controls_Manager::SLIDER,
            'range' => [
                'px' => [
                    'min' => -800,
                    'max' => 800,
                    'step' => 1,
                ], 
            ],               
            'selectors' => [
                '{{WRAPPER}} .elementor-image:before' => 'top: {{SIZE}}{{UNIT}};',
            ], 
            'condition' => [
                'enbg' => 'yes',
            ],                                        
        ]
    );

    $element->add_responsive_control(
        'bf_bd',
        [
            'label' =>   esc_html__( 'Bottom spacing', 'thepack' ),
            'type' =>  \Elementor\Controls_Manager::SLIDER,
            'range' => [
                'px' => [
                    'min' => -800,
                    'max' => 800,
                    'step' => 1,
                ], 
            ],               
            'selectors' => [
                '{{WRAPPER}} .elementor-image:before' => 'bottom: {{SIZE}}{{UNIT}};',
            ], 
            'condition' => [
                'enbg' => 'yes',
            ],                                        
        ]
    );

    $element->add_responsive_control(
        'bf_ld',
        [
            'label' =>   esc_html__( 'Left spacing', 'thepack' ),
            'type' =>  \Elementor\Controls_Manager::SLIDER,
            'range' => [
                'px' => [
                    'min' => -800,
                    'max' => 800,
                    'step' => 1,
                ], 
            ],               
            'selectors' => [
                '{{WRAPPER}} .elementor-image:before' => 'left: {{SIZE}}{{UNIT}};',
            ],  
            'condition' => [
                'enbg' => 'yes',
            ],                                       
        ]
    );

    $element->add_responsive_control(
        'bf_rd',
        [
            'label' =>   esc_html__( 'Right spacing', 'thepack' ),
            'type' =>  \Elementor\Controls_Manager::SLIDER,
            'range' => [
                'px' => [
                    'min' => -800,
                    'max' => 800,
                    'step' => 1,
                ], 
            ],               
            'selectors' => [
                '{{WRAPPER}} .elementor-image:before' => 'right: {{SIZE}}{{UNIT}};',
            ], 
            'condition' => [
                'enbg' => 'yes',
            ],                                        
        ]
    );

    $element->add_control(
        'bxsd',
        [
            'label' =>   esc_html__( 'Bottom shadow', 'thepack' ),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'default' => '',
            'label_on' =>   esc_html__( 'Yes', 'thepack' ),
            'label_off' =>   esc_html__( 'No', 'thepack' ),
            'prefix_class' => 'xl-btshdw-',
        ]
    );

    $element->add_control(
        'enbrad',
        [
            'label' =>   esc_html__('Enable border radius', 'thepack'),
            'type' => \Elementor\Controls_Manager::SWITCHER,                                
        ]
    );

    $element->add_responsive_control(
        'bf_rdu',
        [
            'label' =>   esc_html__('Border radius', 'thepack'),
            'description' =>   esc_html__('Please use this format 69% 31% 24% 76% / 53% 59% 42% 44%', 'thepack'),
            'type' =>  \Elementor\Controls_Manager::TEXTAREA,               
            'selectors' => [
                '{{WRAPPER}} .elementor-image img' => 'border-radius: {{VALUE}};',
            ], 
            'condition' => [
                'enbrad' => 'yes',
            ],                                        
        ]
    );

    $element->end_controls_section();

}, 10, 2 );


add_action( 'elementor/element/text-editor/section_style/after_section_end', function( $element, $args ) {

    $element->start_controls_section(
        'lk_xtra',
        [
            'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            'label' =>   esc_html__( 'Link Styling', 'thepack' ),
        ]
    );

    $element->add_control(
        'link_color',
        [
            'label' =>   esc_html__( 'Link color', 'elementor' ),
            'type' => \Elementor\Controls_Manager::COLOR,                       
            'selectors' => [
                '{{WRAPPER}} .elementor-text-editor a' => 'color: {{VALUE}};',
            ],
        ]
    );

    $element->end_controls_section();

}, 10, 2 );

add_action( 'elementor/element/button/section_style/after_section_end', function( $element, $args ) {

	$element->start_controls_section(
		'btn_xtra',
		[
			'tab' => \Elementor\Controls_Manager::TAB_STYLE,
			'label' =>   esc_html__( 'Button Extra', 'thepack' ),
		]
	);

    $element->add_control(
        'b_width',
        [
            'label' =>   esc_html__( 'Button Width', 'elementor' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'size_units' => [ 'px','%' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 1000,
                    'step' => 1,
                ],
                
            ],                        
            'selectors' => [
                '{{WRAPPER}} .elementor-button-link' => 'width: {{SIZE}}{{UNIT}};',
            ],
        ]
    );

    $element->add_control( 
        'inpalign',
        [
            'label' =>   esc_html__('Text Alignment', 'thepack'),
            'type' => \Elementor\Controls_Manager::CHOOSE,
            'options' => [
                'left' => [
                    'title' =>   esc_html__('Left', 'thepack'),
                    'icon' => 'fa fa-align-left',
                ],
                'center' => [
                    'title' =>   esc_html__('Center', 'thepack'),
                    'icon' => 'fa fa-align-center',
                ],
                'right' => [
                    'title' =>   esc_html__('Right', 'thepack'),
                    'icon' => 'fa fa-align-right',
                ]
            ],
            'default' => 'center',
            'selectors' => [
                '{{WRAPPER}} .elementor-button-link' => 'text-align: {{VALUE}};',
            ],                 
        ]
    );

    $element->add_control(
        'raised',
        [
            'label' =>   esc_html__( 'Raised on hover', 'elementor' ),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'selectors' => [
                '{{WRAPPER}} .elementor-button-link:hover' => 'transform: translate(0, -5px);',
            ],
        ]
    );

    $element->add_group_control(
    \Elementor\Group_Control_Box_Shadow::get_type(),
        [
            'label'         =>   esc_html__('Hover box shadow','premium-addons-for-elementor'),
            'name'          => 'img_box_sha',
            'selector'      => '{{WRAPPER}} .elementor-button-link:hover',
        ]
	);

	$element->end_controls_section();

}, 10, 2 );


add_action( 'elementor/documents/register_controls', function( $element) {

    $element->start_controls_section(
        'backtop_settings',
        [
            'label' =>   esc_html__( 'Back to top', 'my-listing' ),
            'tab' => \Elementor\Controls_Manager::TAB_SETTINGS,
        ]
    );

    $element->add_control(
        'h_clr',
        [
            'label' =>   esc_html__('Active color', 'thepack'),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} #tb-top svg.progress-circle path' => 'stroke: {{VALUE}};',
                '{{WRAPPER}} #tb-top i' => 'color: {{VALUE}};',
            ],
        ]
    );

    $element->end_controls_section();

}, 10, 2 );
?>