<?php

// Exit if accessed directly
if (!defined('ABSPATH'))
    exit;


function thepack_catch_that_array($items,$item) {
    $array = explode(',' , $items); 
    return array_intersect($array, $item);
}

function thepack_remove_that_array($items,$item) {
    $array = explode(',' , $items); 
    return array_merge(array_diff($array, $item), array_diff($item, $array));
}

function thepack_get_builder_image($url,$class){
    if ($url){
        return '<a class="tbsite-logo '.$class.'" href="'.esc_url( home_url( '/' )).'"><img class="logo-image" src="'. esc_url( $url).'" alt="'.get_bloginfo( 'name' ).'"></a>';
    }

}

function thepack_header_txt($array){
    if(is_array($array)){
        foreach ($array as $a){

            $icon = $a['icon'] ? '<div class="icon"><i class="'.esc_attr($a['icon']).'"></i></div>' : '';
            $title = $a['title'] ? '<p>'.thepack_html($a['title']).'</p>' : '';
            $subtitle = $a['subtitle'] ? '<span>'.thepack_html($a['subtitle']).'</span>' : '';

            $markup.= '<div>'.$icon.$title.$subtitle.'</div>';
        }
        return $markup;
    }
}


function thepack_buildermeta_to_string($items) {
    if (!is_array($items) || empty($items)){
        return;
    }
     foreach( $items as $item ){
        $metaf[] =$item['meta'];
      }
      return implode(',' , $metaf);
}

function thepack_drop_menu_select() {
    $menus = wp_get_nav_menus();
    $items = array();
    $i     = 0;
    foreach ( $menus as $menu ) {
        if ( $i == 0 ) {
            $default = $menu->slug;
            $i ++;
        }
        $items[ $menu->slug ] = $menu->name;
    }

    return $items;
}


function thepack_image_size_choose() {
  $image_sizes = get_intermediate_image_sizes(); 

    $addsizes = array(
        "full" => 'Full size'
    );
    $newsizes = array_merge($image_sizes, $addsizes);

  return array_combine($newsizes, $newsizes);
}


function thepack_template_selectb() {

        global $post;
        $args = array('numberposts' => -1,'post_type' => 'elementor_library',);
        $posts = get_posts($args);  

        foreach ($posts as $pn_cat) {
            $categories[$pn_cat->ID] = get_the_title($pn_cat->ID);
        }
        return $categories;   

}

/*Meta Fields*/
function thepack_animations(){
    return array(
        '' =>   esc_html__('No animation', 'thepack') ,
        'reveal-top' =>   esc_html__('Animate from top', 'thepack') ,
        'reveal-bottom' =>   esc_html__('Animate from bottom', 'thepack') ,
        'reveal-left' =>   esc_html__('Animate from left', 'thepack') ,
        'reveal-right' =>   esc_html__('Animate from right', 'thepack') ,
    );  
}


/* Return the css class name to help achieve the number of columns specified */

function thepack_get_column_class($column_size = 3, $no_margin = false) {

    $style_class = 'col-three';
    $column_styles = array(
        1 => 'col-one',
        2 => 'col-two',
        3 => 'col-three',
        4 => 'col-four',
        5 => 'col-five'
    );

    if (array_key_exists($column_size, $column_styles) && !empty($column_styles[$column_size])) {
        $style_class = $column_styles[$column_size];
    }

    $style_class = $no_margin ? ($style_class . ' has-padding') : $style_class;

    return $style_class;
}

/* Return the css class name to help achieve the number of columns specified */

function thepack_gird_columnb($column_size = '3') {

    $style_class = 'col-md-3';

    $column_styles = array(
        1 => 'col-md-12',
        2 => 'col-md-6 col-sm-6 col-xs-12',
        3 => 'col-md-4 col-sm-6 col-xs-12',
        4 => 'col-md-3 col-sm-6 col-xs-12',
        5 => 'col-md-15',
        6 => 'col-md-2 col-sm-4'
    );  
    if (array_key_exists($column_size, $column_styles) && !empty($column_styles[$column_size])) {
        $style_class = $column_styles[$column_size];
    }
    
    return $style_class;
}

function thepack_bg_images($id ='',$thumb=''){

    if ($id){
        $id = $id;
    } else {
        global $post;
        $id = get_post_thumbnail_id($post->ID);
    }
       
    $featured_image = wp_get_attachment_image_src( $id,$thumb);
    if ( !$featured_image) {
        return ;
    };  
    $image_url =  $featured_image[0];
    $lazy='data-bg='.$image_url.'';

    $bg_image = 'background-image:url('.$image_url.');';    
    $out = ($bg_image) ? 'style='.$bg_image.'' : '';    

    return $lazy;

}

function thepack_ft_images($id ='',$thumb=''){

    if ($id){
        $id = $id;
    } else {
        global $post;
        $id = get_post_thumbnail_id($post->ID);
    }   
    
    $featured_image = wp_get_attachment_image_src( $id,$thumb);
    if ( !$featured_image) {

    };

    $image_url =  $featured_image[0];   
    $featuredID = $id;

    $alt = get_the_title($featuredID); 
    $attachment_data= wp_prepare_attachment_for_js($featuredID);
    $placeholder =  AE_PLUGIN_URL . 'assets/lazyload.svg';

    $out='<img class="featured-img lazyload" src= "'.$placeholder.'" width= "'.$attachment_data['width'].'" height="'.$attachment_data['height'].'" data-src="'.$image_url.'" alt="'.$alt.'"/>';

    return $out;
}

function thepack_related_posts($pid,$img_sizer,$meta_r,$excerptr,$heading){

    $postcat = wp_get_post_categories( $pid );
    $all_cat = implode(',' , $postcat);
    $heading = $heading ? '<h3 class="related-title">'.thepack_html($heading). '</h3>' : '';

    $args = array( 
        'posts_per_page' => 3, 
        'post__not_in' => array($pid), 
    ); 
    $args['cat'] = $all_cat;

    $wp_query = new WP_Query($args);
    if ( $wp_query->have_posts() ) {
        echo '<div class="fw-col-md-12 no-pad rest"><div class="no-margin xlpostwrap">';
        echo '<div class="fw-col-md-12">'.$heading.'</div>';
        while ($wp_query->have_posts()) : $wp_query->the_post();?>

          <div class="fw-col-md-4">
            <article class="post-item <?php echo xl_post_format_icon();?>">
            <?php if ( has_post_thumbnail() ) : ?>
                <div class="ft-thumbwrap">
                  <a href="<?php the_permalink();?>">
                    <span class="icon"></span>
                    <?php echo thepack_ft_images($img_sizer);?>
                  </a>
                </div>
            <?php endif; ?>

              <div class="excerpt-wrap">
                <?php thepack_build_postmeta($meta_r,$excerptr);?>
              </div>
            </article>
          </div>

       <?php endwhile; wp_reset_postdata();echo '</div></div>';    
    }

}


function thepack_hansel_breadcum()
{
    // Set variables for later use
    $here_text        = '';
    $home_link        = home_url('/');
    $home_text        =   esc_html__( 'Home' );
    $link_before      = '<span typeof="v:Breadcrumb">';
    $link_after       = '</span>';
    $link_attr        = ' rel="v:url" property="v:title"';
    $link             = $link_before . '<a' . $link_attr . ' href="%1$s">%2$s</a>' . $link_after;
    $delimiter        = '<span class="delimiter"><i class="fa fa-angle-right" aria-hidden="true"></i></span>';              // Delimiter between crumbs
    $before           = '<span class="current">'; // Tag before the current crumb
    $after            = '</span>';                // Tag after the current crumb
    $page_addon       = '';                       // Adds the page number if the query is paged
    $breadcrumb_trail = '';
    $category_links   = '';

    /** 
     * Set our own $wp_the_query variable. Do not use the global variable version due to 
     * reliability
     */
    $wp_the_query   = $GLOBALS['wp_the_query'];
    $queried_object = $wp_the_query->get_queried_object();

    // Handle single post requests which includes single pages, posts and attatchments
    if ( is_singular() ) 
    {
        /** 
         * Set our own $post variable. Do not use the global variable version due to 
         * reliability. We will set $post_object variable to $GLOBALS['wp_the_query']
         */
        $post_object = sanitize_post( $queried_object );

        // Set variables 
        $title          = apply_filters( 'the_title', $post_object->post_title );
        $parent         = $post_object->post_parent;
        $post_type      = $post_object->post_type;
        $post_id        = $post_object->ID;
        $post_link      = $before . $title . $after;
        $parent_string  = '';
        $post_type_link = '';

        if ( 'post' === $post_type ) 
        {
            // Get the post categories
            $categories = get_the_category( $post_id );
            if ( $categories ) {
                // Lets grab the first category
                $category  = $categories[0];

                $category_links = get_category_parents( $category, true, $delimiter );
                $category_links = str_replace( '<a',   $link_before . '<a' . $link_attr, $category_links );
                $category_links = str_replace( '</a>', '</a>' . $link_after,             $category_links );
            }
        }

        if ( !in_array( $post_type, ['post', 'page', 'attachment'] ) )
        {
            $post_type_object = get_post_type_object( $post_type );
            $archive_link     = esc_url( get_post_type_archive_link( $post_type ) );

            $post_type_link   = sprintf( $link, $archive_link, $post_type_object->labels->singular_name );
        }

        // Get post parents if $parent !== 0
        if ( 0 !== $parent ) 
        {
            $parent_links = [];
            while ( $parent ) {
                $post_parent = get_post( $parent );

                $parent_links[] = sprintf( $link, esc_url( get_permalink( $post_parent->ID ) ), get_the_title( $post_parent->ID ) );

                $parent = $post_parent->post_parent;
            }

            $parent_links = array_reverse( $parent_links );

            $parent_string = implode( $delimiter, $parent_links );
        }

        // Lets build the breadcrumb trail
        if ( $parent_string ) {
            $breadcrumb_trail = $parent_string . $delimiter . $post_link;
        } else {
            $breadcrumb_trail = $post_link;
        }

        if ( $post_type_link )
            $breadcrumb_trail = $post_type_link . $delimiter . $breadcrumb_trail;

        if ( $category_links )
            $breadcrumb_trail = $category_links . $breadcrumb_trail;
    }

    // Handle archives which includes category-, tag-, taxonomy-, date-, custom post type archives and author archives
    if( is_archive() )
    {
        if (    is_category()
             || is_tag()
             || is_tax()
        ) {
            // Set the variables for this section
            $term_object        = get_term( $queried_object );
            $taxonomy           = $term_object->taxonomy;
            $term_id            = $term_object->term_id;
            $term_name          = $term_object->name;
            $term_parent        = $term_object->parent;
            $taxonomy_object    = get_taxonomy( $taxonomy );
            $current_term_link  = $before . $taxonomy_object->labels->singular_name . ': ' . $term_name . $after;
            $parent_term_string = '';

            if ( 0 !== $term_parent )
            {
                // Get all the current term ancestors
                $parent_term_links = [];
                while ( $term_parent ) {
                    $term = get_term( $term_parent, $taxonomy );

                    $parent_term_links[] = sprintf( $link, esc_url( get_term_link( $term ) ), $term->name );

                    $term_parent = $term->parent;
                }

                $parent_term_links  = array_reverse( $parent_term_links );
                $parent_term_string = implode( $delimiter, $parent_term_links );
            }

            if ( $parent_term_string ) {
                $breadcrumb_trail = $parent_term_string . $delimiter . $current_term_link;
            } else {
                $breadcrumb_trail = $current_term_link;
            }

        } elseif ( is_author() ) {

            $breadcrumb_trail =   esc_html__( 'Author archive for ') .  $before . $queried_object->data->display_name . $after;

        } elseif ( is_date() ) {
            // Set default variables
            $year     = $wp_the_query->query_vars['year'];
            $monthnum = $wp_the_query->query_vars['monthnum'];
            $day      = $wp_the_query->query_vars['day'];

            // Get the month name if $monthnum has a value
            if ( $monthnum ) {
                $date_time  = DateTime::createFromFormat( '!m', $monthnum );
                $month_name = $date_time->format( 'F' );
            }

            if ( is_year() ) {

                $breadcrumb_trail = $before . $year . $after;

            } elseif( is_month() ) {

                $year_link        = sprintf( $link, esc_url( get_year_link( $year ) ), $year );

                $breadcrumb_trail = $year_link . $delimiter . $before . $month_name . $after;

            } elseif( is_day() ) {

                $year_link        = sprintf( $link, esc_url( get_year_link( $year ) ),             $year       );
                $month_link       = sprintf( $link, esc_url( get_month_link( $year, $monthnum ) ), $month_name );

                $breadcrumb_trail = $year_link . $delimiter . $month_link . $delimiter . $before . $day . $after;
            }

        } elseif ( is_post_type_archive() ) {

            $post_type        = $wp_the_query->query_vars['post_type'];
            $post_type_object = get_post_type_object( $post_type );

            $breadcrumb_trail = $before . $post_type_object->labels->singular_name . $after;

        }
    }   

    // Handle the search page
    if ( is_search() ) {
        $breadcrumb_trail =   esc_html__( 'Search query for: ' ) . $before . get_search_query() . $after;
    }

    // Handle 404's
    if ( is_404() ) {
        $breadcrumb_trail = $before .   esc_html__( 'Error 404' ) . $after;
    }

    // Handle paged pages
    if ( is_paged() ) {
        $current_page = get_query_var( 'paged' ) ? get_query_var( 'paged' ) : get_query_var( 'page' );
        $page_addon   = $before . sprintf(   esc_html__( ' ( Page %s )' ), number_format_i18n( $current_page ) ) . $after;
    }

    $breadcrumb_output_link  = '';
    $breadcrumb_output_link .= '<div class="xlbreadcrumb">';
    if (    is_home()
         || is_front_page()
    ) {
        // Do not show breadcrumbs on page one of home and frontpage
        if ( is_paged() ) {
            $breadcrumb_output_link .= $here_text . $delimiter;
            $breadcrumb_output_link .= '<a href="' . $home_link . '">' . $home_text . '</a>';
            $breadcrumb_output_link .= $page_addon;
        }
    } else {
        
        $breadcrumb_output_link .= '<a href="' . $home_link . '" rel="v:url" property="v:title">' . $home_text . '</a>';
        $breadcrumb_output_link .= $delimiter;
        $breadcrumb_output_link .= $breadcrumb_trail;
        $breadcrumb_output_link .= $page_addon;
    }
    $breadcrumb_output_link .= '</div><!-- .breadcrumbs -->';

    return $breadcrumb_output_link;
}

function thepack_human_size_byte($bytes,$base ='1024') {
    
    if ($bytes =='0'){
        return 0;
    } else {

    $i = floor(log($bytes) / log($base));
        if ($base =='1024'){
            $sizes = array('B', 'KB', 'MB', 'GB', 'TB');
        } else {
            $sizes = array('', 'K', 'M', 'G', 'T');
        }

        return sprintf('%.02F', $bytes / pow($base, $i)) * 1 . ' ' . $sizes[$i];

    }
}


function thepack_tb_lightboxvid ($source){

    $vendor = cs_get_option('lightbox','',TBOPT);
    if( $vendor == 'fancybox'){
        $out = '<a data-fancybox href="'.$source.'"></a>';
    } elseif ($vendor == 'featherlight'){
        $out = '<a data-featherlight="iframe" data-featherlight-iframe-width="960" data-featherlight-iframe-height="540" href="'.$source.'"></a>';
    } else {
        $out = '<a href="'.$source.'"></a>';
    }
    return $out;
}

function thepack_tb_gallightboxattr(){

    $vendor = cs_get_option('lightbox','',TBOPT);
    if( $vendor == 'fancybox'){
        $out = 'data-fancybox="images"';
    } elseif ($vendor == 'featherlight'){
        $out = 'data-elementor-open-lightbox="no"';
    } else {
        $out = 'data-elementor-open-lightbox="no"';
    }
    return $out;
}
