<?php

/*Meta Fields*/
function thepack_metaa_fields(){
    return array(
        'tag' =>   esc_html__('Tag', 'thepack') ,
        'cat' =>   esc_html__('Category color', 'thepack') ,
        'cat_bg' =>   esc_html__('Category background color', 'thepack') ,
        'title' =>   esc_html__('Post title & permalink', 'thepack') ,
        'title_nolink' =>   esc_html__('Post title no permalink', 'thepack') ,
        'title_single' =>   esc_html__('Single post title', 'thepack') ,
        'time' =>   esc_html__('Date', 'thepack') ,
        'share' =>   esc_html__('Share button', 'thepack') ,
        'thumb' =>   esc_html__('Thumbnail', 'thepack') ,
        'excerpt' =>   esc_html__('Excerpt', 'thepack') ,
        'space' =>   esc_html__('Space with separator', 'thepack') ,
        'clear' =>   esc_html__('Clear section', 'thepack') ,
        'clear10' =>   esc_html__('Clear with 10px width', 'thepack') ,
        'h5' =>   esc_html__('Clear with 5px height', 'thepack') ,
        'h10' =>   esc_html__('Clear with 10px height', 'thepack') ,
        'w10' =>   esc_html__('Width 10px', 'thepack') ,
        'hr' =>   esc_html__('Horizontal line', 'thepack') ,
        'btn' =>   esc_html__('Readmore Button', 'thepack') ,
        'author' =>   esc_html__('Author', 'thepack') ,
        'comment' =>   esc_html__('Comment No', 'thepack') ,
    );  
}

/*Meta Fields*/
function thepack_orderby_post(){
    return array(
        'none' =>   esc_html__('No order', 'thepack'),
        'ID' =>   esc_html__('Post ID', 'thepack'),
        'author' =>   esc_html__('Author', 'thepack'),
        'title' =>   esc_html__('Title', 'thepack'),
        'date' =>   esc_html__('Published date', 'thepack'),
        'modified' =>   esc_html__('Modified date', 'thepack'),
        'parent' =>   esc_html__('By parent', 'thepack'),
        'rand' =>   esc_html__('Random order', 'thepack'),
        'comment_count' =>   esc_html__('Comment count', 'thepack'),
        'menu_order' =>   esc_html__('Menu order', 'thepack'),
        'post__in' =>   esc_html__('By include order', 'thepack'),
    );  
}


 if ( ! function_exists( 'thepack_postedd_on' ) ) :
/**
 * Prints HTML with meta information for the current post-date/time and author.
 */
function thepack_postedd_on() {
    
    $time_string = '<time class="entry-date published updated" datetime="%1$s">%2$s</time>';

    $time_string = sprintf( $time_string,
        esc_attr( get_the_date( 'c' ) ),
        esc_html( get_the_date() )
    );

    $posted_on = sprintf(
        _x( '%s', 'post date', 'thepack' ),
         $time_string
    );

    return '<span class="magnews-posted-on leffect-1"><i class="fa fa-clock-o"></i> '.$posted_on.'</span>';
}
endif;

function thepack_social_post_share(){

    if( has_post_thumbnail() ){
        $share_image = wp_get_attachment_image_src( get_post_thumbnail_id(), '' );
        $share_image= $share_image[0];
        $share_image_portrait= wp_get_attachment_image_src( get_post_thumbnail_id(), '' );
        $share_image_portrait= $share_image_portrait[0];
    }else{
        $share_image= '';
        $share_image_portrait= '';
    }
    $share_excerpt = strip_tags( get_the_excerpt(), '<b><i><strong><a>' );
    $html = '<div class="xld_sharelist">
        <a href="http://www.facebook.com/sharer.php?u='.rawurlencode( get_the_permalink() ).'" ><i class="fa fa-facebook"></i></a>
        <a href="http://twitter.com/intent/tweet?text='.rawurlencode( get_the_title() ) .'&amp;url='.rawurlencode( get_the_permalink() ).'"><i class="fa fa-twitter"></i></a>
        <a href="https://plus.google.com/share?url='.rawurlencode( get_the_permalink() ).'"><i class="fa fa-google-plus"></i></a>

        <a href="http://www.linkedin.com/shareArticle?mini=true&amp;url='.rawurlencode( get_the_permalink() ).'&amp;title='.rawurlencode( get_the_title() ).'&amp;summary='.rawurlencode ( $share_excerpt ).'&amp;source='.rawurlencode( get_bloginfo('name') ).'"><i class="fa fa-linkedin"></i></a>
        <a href="http://pinterest.com/pin/create/button/?url='.rawurlencode( get_the_permalink() ).'&amp;media='.rawurlencode( $share_image_portrait ).'&amp;description='.rawurlencode( get_the_title() ).'"><i class="fa fa-pinterest"></i></a>
        
    </div>';
    return $html;
} 


function thepack_builder_comment(){
    if ( ! post_password_required() ) {
        
        $num_comments = get_comments_number(); // get_comments_number returns only a numeric value

        if ( comments_open() ) {
            if ( $num_comments == 0 ) {
                $comments =   esc_html__('0 Comment', 'thepack');
            } elseif ( $num_comments > 1 ) {
                $comments = $num_comments .   esc_html__(' Comments', 'thepack');
            } else {
                $comments =   esc_html__('1 Comment','thepack');
            }
            $write_comments = $comments;
            
        } else {
            $write_comments =    esc_html__('off', 'thepack');
        }
        return '<span class="post-comment leffect-1"><i class="fa fa-comments-o"></i> '.$write_comments.'</span>';
    }   
}

function thepack_builder_author(){

        return'<span class="post-meta-author leffect-1">
            <span class="meta-author-name"><i class="fa fa-user"></i> '.get_the_author_posts_link().'</span>
        </span>';
}
function thepack_builder_width_10(){

        return'<span class="width10"></span>';
}


function thepack_builder_post_title(){
        global $post;
        $id = $post->ID;
        return'<h2 class="post-title-builder"><a href="'.get_the_permalink($id).'">'.get_the_title($id).'</a></h2>';
}

function thepack_builder_readmore($readmore){
        global $post;
        $id = $post->ID;

        return'<a class="btn-more" href="'.get_the_permalink($id).'">READ MORE</a>';
}




function thepack_builder_post_title_nolink(){
        global $post;
        $id= $post->ID;
        return'<h3 class="post-title-builder">'.get_the_title($id).'</h3>';
}

function thepack_builder_post_post_view(){
        global $post;
        $id= $post->ID;

        $view = get_post_meta( $id, 'post_view', true );
        $views = ( empty( $view ) ) ? 0 : $view;    
        

        $out='<span class="postview leffect-1"><span class="view-count">'.$views.' Views</span></span>';


    return $out;
}

/*Space*/

function thepack_builder_post_spacer(){
    $out='<hr class="hr-sep">';
    return $out;
}

/*Space*/

function thepack_builder_spacemeta(){
    $out='<span class="meta-space leffect-1">-</span>';
    return $out;
}

function thepack_builder_clearifix(){
    $out='<div class="meta-clearing-color"></div>';
    return $out;
}

function thepack_builder_clearifixh5(){
    $out='<div class="meta-clearing height5"></div>';
    return $out;
}

function thepack_builder_clearifixh10(){
    $out='<div class="meta-clearing height10"></div>';
    return $out;
}

/**
 * Display category background based on theme options 
 */
 
if ( ! function_exists( 'thepack_builder_singlecat_bg' ) ) :

        function thepack_builder_singlecat_bg($default = true) {
                            
            if ( 'post' == get_post_type() ) {
                $categories = get_the_category();
                $separator = ' '; 
                
                $output = '';
                if($categories){
                    foreach($categories as $category) {

                        /* getting cat bg color.$term_data = get_term_meta( $category->term_id, '_custom_taxonomy_options', true );$style = $term_data ? 'style=background:'.$term_data["cat_color"].'' : '';*/
                        
                        $output .= '<a class="cat-bg" href="'.get_category_link( $category->term_id ).'">'.$category->cat_name.'</a>'.$separator;

                    }
                $cat= trim($output, $separator);
                return '<span class="catbg-wrap">'.$cat.'</span>';
                }
            }

}
endif;


/**
 * Estimate time required to read the article
 *
 * @return string
 */
function thepack_builder_reading_time() {

    $word_count = floor( str_word_count( get_the_content() ) / 120 );
    if ($word_count >= 1){

        $out = sprintf( _n( '%d min', '%d min', $word_count, 'thepack' ), $word_count );
        return '<span class="reading-time leffect-1">'.$out.' Read</span>';

    }
    

}

/**
 * Display category based on theme options 
 */
 
if ( ! function_exists( 'thepack_builder_single_cat' ) ) :

        function thepack_builder_single_cat($default = true) {

            if ( 'post' == get_post_type() ) {
                $categories = get_the_category();
                if($default==true){
                    $separator = ' ';
                }else {
                    $separator = ' ,';              
                }
                
                $output = '';
                if($categories){
                    foreach($categories as $category) {

                        $output .= '<a class="bgcat-links" href="'.get_category_link( $category->term_id ).'">'.$category->cat_name.'</a>'.$separator;

                    }
                $cat= trim($output, $separator);
                return '<span class="leffect-1"><i class="fa fa-folder-open-o"></i> '.$cat.'</span>';
                }
            }

}
endif;

if ( ! function_exists( 'thepack_builder_tag_post' ) ) :

/**
 * Prints HTML with meta information for the categories, tags and comments.
 */
function thepack_builder_tag_post() {
    
    if ( 'post' == get_post_type() ) {
        
    $posttags = get_the_tags();
    $separator = '';
    $output = '';
    if ($posttags) {

        foreach($posttags as $tag) {
            $output .='<span><a href="' . get_tag_link($tag->term_id) . '">' . $tag->name . '</a></span>'.$separator; 
        }

        $tags= trim($output, $separator);
        return '<span class="tags-links leffect-1">'.$tags.'</span>';
    }
    }
}
endif;


//Custom excerpt 

function thepack_builder_excerptscode($limit) {
    if($limit > "0"){
    global $post;
    $id = $post->ID;
    $outpu = wp_trim_words(get_the_content(), $limit,'');
    
        return '<p class="post-entry">'.$outpu.'</p>';
    
    }
    
}

function thepack_builder_folio_excerpt($limit) {
    if($limit > "0"){
    global $post;
    $id = $post->ID;

    if ( has_excerpt( $id ) ) {
        $string = get_the_excerpt();
    } else {
        $string = get_the_content();
    }

    $excerpt = strip_tags($string);
    $excerpt = substr($excerpt, 0, $limit);
    $outpu = $excerpt;
    
        return '<p class="post-entry">'.$outpu.'</p>';
    
    }
    
}

/**
 * Display post tag,category,date,author 
 */


function thepack_build_postmeta($metas = '',$excerpt_length = '',$readmore='',$thumbsize=''){


        if ( !is_array($metas) ) {
            $metas = explode(',' , $metas); 
        }
        if ( is_array($metas) ) {
                 $outz='';
            foreach( $metas as $meta ) {

                    $out = '';

                    switch ( $meta ) {

                    case 'tag':
                        $out = thepack_builder_tag_post() ;
                        break;

                    case 'cat':
                        $out = thepack_builder_single_cat(false);
                        break;

                    case 'cat_bg':
                        $out = thepack_builder_singlecat_bg(false);
                        break;

                    case 'time':
                        $out = thepack_postedd_on() ;
                        break;  

                    case 'view':
                        $out = thepack_builder_post_post_view() ; 
                        break;  

                    case 'title':
                        $out = thepack_builder_post_title() ;
                        break;

                    case 'hr':
                        $out = thepack_builder_post_spacer() ;
                        break;

                    case 'clear':
                        $out = thepack_builder_clearifix() ;
                        break;

                    case 'clear10':
                        $out = thepack_builder_clearifix() ;
                        break;

                    case 'h5':
                        $out = thepack_builder_clearifixh5() ;
                        break;

                    case 'h10':
                        $out = thepack_builder_clearifixh10() ;
                        break;


                    case 'btn':
                        $out = thepack_builder_readmore($readmore) ;
                        break;

                    case 'thumb':
                        $out = thepack_ft_images($thumbsize) ;
                        break;

                    case 'reading':
                        $out = thepack_builder_reading_time() ;
                        break;  

                    case 'share':
                        $out = magnews_share_post() ;
                        break;

                    case 'space':
                        $out = thepack_builder_spacemeta() ;
                        break;

                    case 'view':
                        $out = thepack_builder_post_title() ;
                        break;

                    case 'title_nolink':
                        $out = thepack_builder_post_title_nolink() ;
                        break;  

                    case 'author':
                        $out = thepack_builder_author();
                        break;

                    case 'w10':
                        $out = thepack_builder_width_10();
                        break;

                    case 'comment':
                        $out = thepack_builder_comment() ;
                        break;

                    case 'excerpt':
                        $out = thepack_builder_excerptscode($excerpt_length);
                        break;

                    }

                if ( !empty( $meta ) ) {
                    $outz .= $out;
                }       

                }   
            echo '<div class="meta-wrap">'.$outz.'</div>';  

            }   

}

function thepack_drop_cat($tax) {

        $categories_obj = get_categories('taxonomy='.$tax.'');
        $categories = array();

        foreach ($categories_obj as $pn_cat) {
            $categories[$pn_cat->cat_ID] = $pn_cat->cat_name;
        }
        return $categories;         
}

function thepack_drop_posts($post_type){
    $args = array(
      'numberposts' => -1,
      'post_type'   => $post_type
    );

    $posts = get_posts( $args );        
    $list = array();
    foreach ($posts as $cpost){
        $list[$cpost->ID] = $cpost->post_title;
    }
    return $list;
}

function thepack_folio_cat(){

        global $post;
        $output='';        
        $ids=  'portfolio-category';                   
        $terms = wp_get_post_terms($post->ID, $ids);        
        $separator = ', ';
        if($terms){
            foreach($terms as $term) {
                $term_link = get_term_link($term);
                $tax_id = get_term( $term->term_id, 'portfolio-category' );
                /*Count tax posts $count = $tax_id->count*/
                $output .='<span class="gallery-cat">'.$term->name.'</span>'.$separator;
            }   
            echo trim($output, $separator);
        }       
}



function thepack_loadmore_ajax_handler(){
     
    $per_page = $_POST['posts'];
    $cat = explode(',' , $_POST['cat']);
    $class = $_POST['column'];
    
    $meta_f = $_POST['metaf'];
    $meta_r = $_POST['metar'];
    $excerptf = $_POST['excerptf'];
    $excerptr = $_POST['excerptr'];
    $thumbf = $_POST['thumbf'];
    $thumbr = $_POST['thumbr'];
    $heading = $_POST['rhead'];
    
    $template = $_POST['template'];
    $dir = $_POST['dir'];
    if ($dir=='prev'){
        $paged = $_POST['page'] - 1;
    } else {
        $paged = $_POST['page'] + 1;
    }

    $query_args = array(
        'post_type' => 'portfolio',
        'paged' => $paged,
        'posts_per_page' => $per_page,
        'tax_query' => array(
            array(
                'taxonomy' => 'portfolio-category',
                'field' => 'term_id',
                'terms' => $cat,
            ) ,
        ) ,
    );
    
    $the_query = new WP_Query( $query_args );
    require AE_PLUGIN_DIR.'includes/loops/'. $template .'.php'; 

    die(); 
}
 
 
 
add_action('wp_ajax_loadmore', 'thepack_loadmore_ajax_handler'); 
add_action('wp_ajax_nopriv_loadmore', 'thepack_loadmore_ajax_handler'); 


function thepack_tabcat_ajax_handler(){
     
    $per_page = $_POST['posts'];
    $cat = explode(',' , $_POST['catid']);
    $metaf = $_POST['metaf'];
    $class = $_POST['column'];
    $excerptf = $_POST['excerptf'];
    $template = $_POST['template'];
    $thumb = $_POST['thumb'];
    $page = (get_query_var('paged')) ? get_query_var('paged') : 1;
    $query_args = array(
        'post_type' => 'portfolio',
        'paged' => $paged,
        'posts_per_page' => $per_page,
        'tax_query' => array(
            array(
                'taxonomy' => 'portfolio-category',
                'field' => 'term_id',
                'terms' => $cat,
            ) ,
        ) ,
    );

    $the_query = new WP_Query( $query_args );
    $max =  $the_query->max_num_pages;
    $current =  $the_query->paged;
    echo '<span class="xyz" data-max="'.$max.'" ></span>'; 
    require AE_PLUGIN_DIR.'includes/loops/'. $template .'.php';         
    die(); 
}
 
 
 
add_action('wp_ajax_tabcat', 'thepack_tabcat_ajax_handler'); 
add_action('wp_ajax_nopriv_tabcat', 'thepack_tabcat_ajax_handler'); 

function thepack_builder_post_pagination($type,$loop,$showpagi){
    if ($showpagi==null){
        return;
    }
    global $wp_query;
    if ($type){
        $p = $wp_query;
    } else {
        $p = $loop;
    }
    $total_pages = $p->max_num_pages;
    $big = 999999999; 
    $args = array(
        'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
        'format' => '?page=%#%',
        'total' => $p->max_num_pages,
        'current' => max( 1, get_query_var( 'paged') ),
        'show_all' => false,
        'end_size' => 1,
        'mid_size' => 1,
        'prev_next' => true,
        'prev_text' =>    esc_html__( '&larr;', 'thepack' ),
        'next_text' =>    esc_html__( '&rarr;', 'thepack' ),
        'type' => 'list',
        );
    if ( $total_pages > 1 ){
        echo '<div class="pagination-theme">';
        echo paginate_links($args); 
        echo '</div>';
    }    
}
