<?php

namespace WebangonAddon\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Utils;
use Elementor\Scheme_Color;
use Elementor\Group_Control_Typography;
use Elementor\Scheme_Typography;
 
 
if (!defined('ABSPATH'))
    exit; // Exit if accessed directly
 

class thepack_before_after extends Widget_Base {

    public function get_name() {
        return 'tp-beforeafter';
    }

    public function get_title() {
        return   esc_html__('BEFORE AFTER', 'thepack');
    }

    public function get_icon() {
        return ' eicon-slideshow';
    }

    public function get_categories() {
        return array('ashelement-addons');
    }

    protected function _register_controls() {

        $this->start_controls_section(
            'section_pricing_table',
            [
                'label' =>   esc_html__('Slides', 'thepack'),
            ]
        );

        $this->add_control(
            'img1', [
                'type' => Controls_Manager::MEDIA,
                'label' =>   esc_html__('First image', 'thepack'),
                'default' => [
                    'url' => Utils::get_placeholder_image_src(),
                ],
            ]
        );

        $this->add_control(
            'lbl1', [
                'type' => Controls_Manager::TEXT,
                'label' =>   esc_html__('First Label', 'thepack'),
                'label_block' => true,              
            ]
        );

        $this->add_control(
            'img2', [
                'type' => Controls_Manager::MEDIA,
                'label' =>   esc_html__('Second image', 'thepack'),
                'default' => [
                    'url' => Utils::get_placeholder_image_src(),
                ],
            ]
        );

        $this->add_control(
            'lbl2', [
                'type' => Controls_Manager::TEXT,
                'label' =>   esc_html__('Second Label', 'thepack'),
                'label_block' => true,              
            ]
        );

        $this->end_controls_section();

        $this->start_controls_section(
            'section_general',
            [
                'label' =>   esc_html__( 'General', 'thepack' ),
                'tab' => Controls_Manager::TAB_STYLE,
            ]
        );

        $this->end_controls_section();

    }

    protected function render() {

        $settings = $this->get_settings();
        require dirname(__FILE__) .'/list.php';
    }

}

$widgets_manager->register_widget_type(new \WebangonAddon\Widgets\thepack_before_after());