<?php

/*
Widget Name: Webangon full social
Description: Full width social.
Author: Ashraf
Author URI: https://www.webangon.com
*/

namespace WebangonAddon\Widgets;
 
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Utils;
use Elementor\Scheme_Color;
use Elementor\Group_Control_Typography;
use Elementor\Scheme_Typography;
use Elementor\Group_Control_Border;
 
if (!defined('ABSPATH'))
    exit; // Exit if accessed directly


class thepack_date_tmr2 extends Widget_Base {

    public function get_name() {
        return 'tbdttymr';
    }

    public function get_title() {
        return   esc_html__('TIMER 1', 'thepack');
    }

    public function get_icon() {
        return 'eicon-social-icons';
    }

    protected function _register_controls() {

        $this->start_controls_section(
            'section_pricing_table',
            [
                'label' =>   esc_html__('Date Timer', 'thepack'),
            ]
        );
        
/*        $this->add_control(
            'tmpl',
            [
                'label' =>   esc_html__('Template', 'thepack'),
                'type' => Controls_Manager::CHOOSE,
                'options' => [
                    'one' => [
                        'title' =>   esc_html__('One', 'thepack'),
                        'icon' => 'fa fa-folder',
                    ],
                    'two' => [
                        'title' =>   esc_html__('Two', 'thepack'),
                        'icon' => 'fa fa-folder-o',
                    ],

                    'three' => [
                        'title' =>   esc_html__('Three', 'thepack'),
                        'icon' => 'fa fa-folder-open',
                    ],

                ],
                'default' => 'one',               
            ]
        );*/

        $this->add_control(
            'date',
            [
                'type' => Controls_Manager::DATE_TIME,
                'label' =>   esc_html__( 'Date', 'thepack' ),
                'default' => 'YYYY-mm-dd',
            ]
        );

        $this->add_control(
            'show-hour',
            [
                'label' =>   esc_html__( 'Hide hour', 'thepack' ),
                'type' => Controls_Manager::SWITCHER,
                'label_on' =>   esc_html__( 'On', 'thepack' ),
                'label_off' =>   esc_html__( 'Off', 'thepack' ),
                'selectors' => [
                    '{{WRAPPER}} .hour' => 'display: none;'
                ],                
            ]
        );

        $this->add_control(
            'show-min',
            [
                'label' =>   esc_html__( 'Hide minute', 'thepack' ),
                'type' => Controls_Manager::SWITCHER,
                'label_on' =>   esc_html__( 'On', 'thepack' ),
                'label_off' =>   esc_html__( 'Off', 'thepack' ),
                'selectors' => [
                    '{{WRAPPER}} .min' => 'display: none;'
                ],                
            ]
        );

        $this->add_control(
            'show-sec',
            [
                'label' =>   esc_html__( 'Hide second', 'thepack' ),
                'type' => Controls_Manager::SWITCHER,
                'label_on' =>   esc_html__( 'On', 'thepack' ),
                'label_off' =>   esc_html__( 'Off', 'thepack' ),
                'selectors' => [
                    '{{WRAPPER}} .sec' => 'display: none;'
                ],                
            ]
        );

        $this->end_controls_section();

        $this->start_controls_section(
            'section_general',
            [
                'label' =>   esc_html__('General', 'thepack'),
                'tab' => Controls_Manager::TAB_STYLE,
            ]
        );

        $this->add_responsive_control(
            'wrrpwd',
            [
                'label' =>   esc_html__( 'Wrapper width', 'thepack' ),
                'type' =>  Controls_Manager::SLIDER,
                'range' => [
                    'px' => [
                        'min' =>0,
                        'max' => 1000,
                        'step' => 1,
                    ],
                ],
                'size_units' => ['px','%'],
                'selectors' => [
                    '{{WRAPPER}} .countdown2' => 'max-width:{{SIZE}}{{UNIT}};width:100%;',

                ],

            ]
        );

        $this->add_responsive_control(
            'width',
            [
                'label' =>   esc_html__( 'Column width', 'thepack' ),
                'type' =>  Controls_Manager::NUMBER, 
                'default' => '25',
                 'selectors' => [
                        '{{WRAPPER}} .countdown2>span' => 'width: {{VALUE}}%;',
                 ],                                                
            ]
        );

        $this->add_control(
            'align',
            [
                'label' =>   esc_html__('Alignment', 'thepack'),
                'type' => Controls_Manager::CHOOSE,
                'options' => [
                    'left' => [
                        'title' =>   esc_html__('Left', 'thepack'),
                        'icon' => 'fa fa-align-left',
                    ],
                    'center' => [
                        'title' =>   esc_html__('Center', 'thepack'),
                        'icon' => 'fa fa-align-center',
                    ],
                    'right' => [
                        'title' =>   esc_html__('Right', 'thepack'),
                        'icon' => 'fa fa-align-right',
                    ]
                ], 
                'selectors' => [
                    '{{WRAPPER}} .countdown2wrp' => 'text-align: {{VALUE}};',
                ],                 
            ]
        );

        $this->add_responsive_control(
            'inpad',
            [
                'label' =>   esc_html__( 'Item spacing', 'thepack' ),
                'type' =>  Controls_Manager::SLIDER,
                'range' => [
                    'px' => [
                        'min' => 0,
                        'max' => 100,
                        'step' => 1,
                    ],
                ],
                'size_units' => ['px'],
                'selectors' => [
                    '{{WRAPPER}} .countdown2>span' => 'padding:{{SIZE}}{{UNIT}};',
                ],

            ]
        );

        $this->end_controls_section();

        $this->start_controls_section(
            'section_sep',
            [
                'label' =>   esc_html__( 'Content', 'thepack' ),
                'tab' => Controls_Manager::TAB_STYLE,                
            ]
        );

        $this->add_control(
            'seo_color',
            [
                'label' =>   esc_html__( 'Background', 'thepack' ),
                'type' => Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .countdown2 span.inner' => 'background: {{VALUE}};',
                ],
            ]
        );

        $this->add_control(
            'spbr',
            [
                'label' =>   esc_html__( 'Border color', 'thepack' ),
                'type' => Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .countdown2 span.inner' => 'border-color: {{VALUE}};',
                ],
            ]
        );

        $this->add_responsive_control(
            'sp_sie',
            [
                'label' =>   esc_html__( 'Height', 'thepack' ),
                'type' =>  Controls_Manager::SLIDER,
                'range' => [
                    'px' => [
                        'min' => 0,
                        'max' => 800,
                        'step' => 1,
                    ],
                ],
                'size_units' => ['px'],
                'selectors' => [
                    '{{WRAPPER}} .countdown2 span.inner' => 'height:{{SIZE}}{{UNIT}};',

                ],

            ]
        );

        $this->add_responsive_control(
            'sp_br',
            [
                'label' =>   esc_html__( 'Border radius', 'thepack' ),
                'type' =>  Controls_Manager::SLIDER,
                'range' => [
                    'px' => [
                        'min' => 0,
                        'max' => 800,
                        'step' => 1,
                    ],
                ],
                'size_units' => ['px'],
                'selectors' => [
                    '{{WRAPPER}} .countdown2 span.inner' => 'border-radius:{{SIZE}}{{UNIT}};',

                ],

            ]
        );

        $this->add_responsive_control(
            'sp_bdrwd',
            [
                'label' =>   esc_html__( 'Border width', 'thepack' ),
                'type' =>  Controls_Manager::SLIDER,
                'range' => [
                    'px' => [
                        'min' => 0,
                        'max' => 10,
                        'step' => 1,
                    ],
                ],
                'size_units' => ['px'],
                'selectors' => [
                    '{{WRAPPER}} .countdown2 span.inner' => 'border-width:{{SIZE}}{{UNIT}};border-style:solid',

                ],

            ]
        );

        $this->end_controls_section();

        $this->start_controls_section(
            'section_clr',
            [
                'label' =>   esc_html__( 'Color & Typo', 'thepack' ),
                'tab' => Controls_Manager::TAB_STYLE,
            ]
        );

        $this->add_group_control(
            Group_Control_Typography::get_type(),
            [
                'name' => 'numty',
                'selector' => '{{WRAPPER}} .innerwrp',
                'label' =>   esc_html__( 'Number typo', 'thepack' ),               
            ]
        );

        $this->add_group_control(
            Group_Control_Typography::get_type(),
            [
                'name' => 'utyp',
                'selector' => '{{WRAPPER}} .innerwrp>span',
                'label' =>   esc_html__( 'Unit typo', 'thepack' ),               
            ]
        );

        $this->add_control(
            'nmclr',
            [
                'label' =>   esc_html__( 'Number color', 'thepack' ),
                'type' => Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .innerwrp' => 'color: {{VALUE}};',
                ],
            ]
        );

        $this->add_control(
            'untclr',
            [
                'label' =>   esc_html__( 'Unit color', 'thepack' ),
                'type' => Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .innerwrp>span' => 'color: {{VALUE}};',
                ],
            ]
        );

        $this->end_controls_section();


    }
 
    protected function render() {

        $settings = $this->get_settings();
        require dirname(__FILE__) .'/view.php';
    }

}

$widgets_manager->register_widget_type(new \WebangonAddon\Widgets\thepack_date_tmr2());