<?php
if (empty($settings['lists']))
    return;

switch ($settings['style']) {
    case "hero-slider-style-1":
        $cls = 'col col-lg-6 col-lg-offset-6 col-sm-7 col-sm-offset-5';
        break;

    case "hero-slider-style-2":
        $cls = 'col col-lg-7';
        break;
        
    case "hero-slider-style-3":
        $cls = 'col col-lg-8 col-lg-offset-2 col-sm-10 col-sm-offset-1';
        break;

    default:
}
 
?>
<div class="xld-blurslider">
    <div class="swiper-wrapper">
        <?php foreach ($settings['lists'] as $a) :
            $data_bg = $a['bg'] ? 'data-bg="'.$a['bg']['url'].'"' : '';

            $id = $a['bg']['id']; 
            $img = $id ? wp_get_attachment_image($id, $settings['img_size']) : '';


            $url = (empty($a['url']['url'])) ? ' ' : esc_url($a['url']['url']);
            $target = $a['url']['is_external'] ? 'target="_blank"' : '';   

            $btn = $a['btn'] ? '<div class="btns"><a '.$target.' href="'.$url.'" class="theme-btn">'.$a['btn'].'</a></div>' : '';
            $title = $a['title'] ? '<h2 class="title">'.$a['title'].'</h2>' : '';
            $desc = $a['desc'] ? '<p class="desc">'.$a['desc'].'</p>' : '';
            $cat = $a['cat'] ? '<span class="cat">'.$a['cat'].'</span>' : '';

            ($a['bg']['url']);     
            ?>

          <div class="swiper-slide" <?php echo $data_bg;?>>
            <div class="portfolio-item">
                <div class="inner-wrap">
                    <?php echo $img;?>
                    <?php // echo $cat.$title.$desc.$btn; ?>
                </div>
            </div>
          </div>

        <?php endforeach;?>
    </div>
</div>
<div class="xld-bgfade"><div class="inner"></div></div>

<style type="text/css">

.xld-bgfade {
    overflow: hidden;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.xld-bgfade .inner {
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    background-size: cover;
    -webkit-transition: background 1s cubic-bezier(.31,.88,.4,.98);
    transition: background 1s cubic-bezier(.31,.88,.4,.98);
    -webkit-filter: blur(8px); 
    filter: blur(8px);
    -ms-transform: scale(1.03);
    transform: scale(1.03);
}
.xld-bgfade .inner:before {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,.5);
    content: "";
}
.inner-wrap img{
  width:auto;
}
.portfolio-item {
    position: absolute;
    top: 15%;
    left: 50%;
    transform: translate(-50%, 0);
}
.xld-blurslider {
    height: 100vh;
}

</style>