<?php
    $speed = $settings['speed']['size'];
    $space = $settings['space']['size'];
    $item = $settings['item']['size'];
    $item_tab = $settings['item_tab']['size'];

    $slider_options = [
        'item' => $item,
        'item_tab' => $item_tab,
        'speed' => $speed,
        'space' => $space,
        'center' => ('yes' === $settings['center']),
        'mouse' => ('yes' === $settings['mouse']),
    ]; 

    $pagi = $settings['dot'] ? '<div class="swiper-pagination"></div>' : '';
    $navi = $settings['nav'] ? '<div class="swiper-button-prev no-bg"><i class="tbicon '.esc_attr($settings['picon']).'"></i></div><div class="swiper-button-next no-bg"><i class="tbicon '.esc_attr($settings['nicon']).'"></i></div>' : '';


    foreach ($settings['lists'] as $a){

        if ($settings['lazy']){
          $img = '<img data-src="'.$a['bg']['url'].'" class="swiper-lazy"><div class="swiper-lazy-preloader swiper-lazy-preloader-white"></div>';

        } else {
          $img = $a['bg'] ? '<figure>'.wp_get_attachment_image($a['bg']['id'], $settings['img_size']). '</figure>' : '';
        }
        
        $url = (empty($a['url']['url'])) ? ' ' : esc_url($a['url']['url']);
        $target = $a['url']['is_external'] ? 'target="_blank"' : '';   

        $title = $a['title'] ? '<h2 class="title">'.thepack_html($a['title']).'</h2>' : '';
        $cat = $a['cat'] ? '<span class="cat">'.thepack_html($a['cat']).'</span>' : '';

        $out = '<div class="slide-inner">'.$img.'<div class="inner-wrap">'.$cat.$title.'</div></div>';
        $out1 .= $a['url']['url'] ? '<div class="swiper-slide"><a href="'.esc_url($a['url']['url']).'">'.$out.'</a></div>' : '<div class="swiper-slide">'.$out.'</div>' ;

        $out2 .= '
          <div class="swiper-slide">
            <div class="tb-hovercarou1">
              <div class="imgwrap">'.wp_get_attachment_image($a['bg']['id'], $settings['img_size']).'</div>
              <a href="'.esc_url($a['url']['url']).'" class="tb-foliolnk">
              <h2 class="title"><span>'.thepack_html($a['title']).'</span></h2>
              <span class="tb-cat cat"><span>'.thepack_html($a['cat']).'</span></span>
              </a>
            </div>
          </div>
        ';

    }
?>
 
<div class="folio-carousel1">
  <?php echo '<div class="folio1carwrap" data-xld =\''.wp_json_encode($slider_options).'\'>';?>  
    <div class="swiper-wrapper">
        <?php if ($settings['tmpl']=='one'){
          echo $out1;
        } else {
          echo $out2;
        }
        ?>     
    </div>  
    <?php echo $pagi.$navi;?>    
  </div>
</div>

<style type="text/css">
  .folio1carwrap{
    overflow: hidden;
  }
  .folio-carousel1 .no-bg{
    background-image: none;
    text-align: center;
  }
  .folio-carousel1 .cat{
    display: inline-block;
  }
  .folio-carousel1 .centermode .inner-wrap{
    display:none;
  }
  .folio-carousel1 .centermode.swiper-slide-active .inner-wrap{
    display:block;
  }
  .folio-carousel1 .swiper-pagination-bullet{
    opacity: 1;
  }

.folio1carwrap .swiper-slide.centermode:not(.swiper-slide-active) .tb-hovercarou1 {
    -webkit-transform: scale(.65) translateZ(0);
    -moz-transform: scale(.65) translateZ(0);
    transform: scale(.65) translateZ(0);
    -webkit-transition: all .4s cubic-bezier(.15, .7, .54, .99);
    -moz-transition: all .4s cubic-bezier(.15, .7, .54, .99);
    transition: all .4s cubic-bezier(.15, .7, .54, .99)
}
.folio1carwrap .swiper-slide.centermode:not(.swiper-slide-active) .tb-foliolnk{
  display: none;
}

.folio1carwrap .swiper-slide-active .tb-hovercarou1 {
    -webkit-transform: scale(1) translateZ(0);
    -moz-transform: scale(1) translateZ(0);
    transform: scale(1) translateZ(0);
    -webkit-transition: all .4s cubic-bezier(.15, .7, .54, .99);
    -moz-transition: all .4s cubic-bezier(.15, .7, .54, .99);
    transition: all .4s cubic-bezier(.15, .7, .54, .99)
}

/*@*/
.tb-hovercarou1 {
    position: relative;
}
.imgwrap img{
    width: 100%;
}

 .tb-foliolnk {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 10px;
    left: 10px;
    right: 10px;
    bottom: 10px;
    opacity: 0;
    z-index: 5;
    background: #000;
    -moz-transition-delay: 0.3s;
    -o-transition-delay: 0.3s;
    -webkit-transition-delay: 0.3s;
    transition-delay: 0.3s;
}
.tb-hovercarou1 h2 span,.tb-hovercarou1 .tb-cat span {
    display: block;
    -moz-transform: translateY(100%);
    -ms-transform: translateY(100%);
    -webkit-transform: translateY(100%);
    transform: translateY(100%);
    -moz-transition: all .4s cubic-bezier(0.35, 0.3, 0.2, 0.80);
    -o-transition: all .4s cubic-bezier(0.35, 0.3, 0.2, 0.80);
    -webkit-transition: all .4s cubic-bezier(0.35, 0.3, 0.2, 0.80);
    transition: all .4s cubic-bezier(0.35, 0.3, 0.2, 0.80);    
}
.tb-hovercarou1:hover .imgwrap{
    opacity:1
}

.tb-hovercarou1:hover h2 span,.tb-hovercarou1:hover .tb-cat span{
    -moz-transform: translateY(0);
    -ms-transform: translateY(0);
    -webkit-transform: translateY(0);
    transform: translateY(0);    
}
.tb-hovercarou1:hover .tb-foliolnk {
    opacity: 1;
    -moz-transition-delay: 0s;
    -o-transition-delay: 0s;
    -webkit-transition-delay: 0s;
    transition-delay: 0s;
}
 .tb-hovercarou1 h2,.tb-cat{
    display: flex;
    overflow: hidden;
}
.tb-foliolnk {
    justify-content: center;
    align-items: center;
}

</style>