<?php

	class thepack_portfolio_post_type {
		
		function __construct() {
			
			add_action('init', array($this,'thepack_create_post_type'));
			add_action('init', array($this,'thepack_create_post_taxonomy'));				
		}
	  
		function thepack_create_post_type() {
			$labels = array(
				'name' =>   esc_html__('Portfolio', 'thepack'),
				'singular_name' =>   esc_html__('Portfolio', 'thepack'),
				'add_new' =>   esc_html__('Add New Portfolio', 'thepack'),
				'add_new_item' =>   esc_html__('Add New Portfolio', 'thepack'),
				'edit_item' =>   esc_html__('Edit Portfolio', 'thepack'),
				'new_item' =>   esc_html__('New Portfolio', 'thepack'),
				'all_items' =>   esc_html__('All Portfolios', 'thepack'),
				'view_item' =>   esc_html__('View Portfolio', 'thepack'),
				'search_items' =>   esc_html__('Search Portfolio', 'thepack'),
				'not_found' =>   esc_html__('No portfolio found', 'thepack'),
				'not_found_in_trash' =>   esc_html__('No portfolio found in the trash', 'thepack'),
				'parent_item_colon' => '',
				'menu_name' =>   esc_html__('Portfolio', 'thepack')
			);
			$args = array(
				'labels' => $labels,
				'public' => true,
				'menu_icon' => 'dashicons-format-image',
				'supports' => array('title', 'editor', 'thumbnail', 'excerpt','elementor'),
				'has_archive' => true,
			);
			register_post_type('portfolio', $args);
		}
		
		function thepack_create_post_taxonomy() {
			$labels = array(
				'name' =>   esc_html__('Portfolio category', 'thepack'),
				'singular_name' =>   esc_html__('Portfolio Category', 'thepack'),
				'search_items' =>   esc_html__('Search Portfolio Categories', 'thepack'),
				'all_items' =>   esc_html__('All Portfolio Categories', 'thepack'),
				'parent_item' =>   esc_html__('Parent Portfolio Category', 'thepack'),
				'parent_item_colon' =>   esc_html__('Parent Portfolio Category:', 'thepack'),
				'edit_item' =>   esc_html__('Edit Portfolio Category', 'thepack'),
				'update_item' =>   esc_html__('Update Portfolio Category', 'thepack'),
				'add_new_item' =>   esc_html__('Add New Portfolio Category', 'thepack'),
				'new_item_name' =>   esc_html__('New Portfolio Category', 'thepack'),
				'menu_name' =>   esc_html__('Portfolio Category', 'thepack'),
			);
			$args = array(
				'labels' => $labels,
				'hierarchical' => true,
				'show_ui' => true,
				'show_admin_column' => true,
				'rewrite' => array('slug' => 'portfolio-category'),
			);
			register_taxonomy('portfolio-category', 'portfolio', $args);
		}
					
	}  
new thepack_portfolio_post_type();

add_action( 'init', 'thepack_add_page_cats' );
function thepack_add_page_cats(){
    register_taxonomy_for_object_type('category', 'page'); 
}


/**
 * Use of init action .
 * add_action( 'admin_init', 'thepack_run_once' )
 */
    

function thepack_run_once(){

    $posts = get_posts(array('numberposts' => -1,'post_type' => 'elementor_library',) );

    foreach($posts as $p) :  

        update_post_meta( $p->ID, '_elementor_template_type', 'page' );
        update_post_meta( $p->ID, '_wp_page_template', 'elementor_canvas' );

    endforeach; 


}

function thepack_footer_select($type='',$num='',$tax='') {

        $type = $type ? $type :'elementor_library';
        global $post;
        $num = $num ? $num :'-1';
        $args = array(
        	'numberposts' => $num,
        	'post_type' => $type,        	
        );
        if ($tax){

	        $args['tax_query']= array(
	            array(
	                'taxonomy' => 'elementor_library_category',
	                'field'    => 'slug',                 
	                'terms'    => array($tax), 
	            ),
	        );
        
        }

        $posts = get_posts($args);  
        $categories = array(
        ''  =>   esc_html__( 'Select', 'thepack' ),
        );
        foreach ($posts as $pn_cat) {
            $categories[$pn_cat->ID] = get_the_title($pn_cat->ID);
        }
        return $categories;   

}


function thepack_allow_html() {
    $return = array(
        'a' => array(
            'class' => array(),
            'href'  => array(),
            'rel'   => array(),
            'title' => array(),
        ),
        'abbr' => array(
            'title' => array(),
        ),
        'b' => array(),
        'blockquote' => array(
            'cite'  => array(),
        ),
        'cite' => array(
            'title' => array(),
        ),
        'code' => array(),
        'del' => array(
            'datetime' => array(),
            'title' => array(),
        ),
        'dd' => array(),
        'div' => array(
            'class' => array(),
            'title' => array(),
            'style' => array(),
        ),
        'dl' => array(),
        'dt' => array(),
        'em' => array(),
        'h1' => array(),
        'h2' => array(),
        'h3' => array(),
        'h4' => array(),
        'h5' => array(),
        'h6' => array(),
        'i' => array(),
        'img' => array(
            'alt'    => array(),
            'class'  => array(),
            'height' => array(),
            'src'    => array(),
            'width'  => array(),
        ),
        'li' => array(
            'class' => array(),
        ),
        'ol' => array(
            'class' => array(),
        ),
        'p' => array(
            'class' => array(),
        ),
        'q' => array(
            'cite' => array(),
            'title' => array(),
        ),
        'span' => array(
            'class' => array(),
            'title' => array(),
            'style' => array(),
        ),
        'strike' => array(),
        'strong' => array(),
        'ul' => array(
            'class' => array(),
        ),
    );

    return $return;
}

function thepack_html($string){
	/*return wp_kses( $string, thepack_allow_html() )*/
    return $string;
}