<?php 
class thepack_theme_hooks {

    function thepack_render_pageloader(){

        $page_loader = cs_get_option('loader_tpl','',TBOPT);
        switch ($page_loader) {
            case "1":
                $inner = ''.wp_get_attachment_image(cs_get_option('loadimg','',TBOPT), 'full').'<div class="load-wrap"><div class="loader"></div></div>';
                break;

            case "2":
                $inner = '<div class="svgloader"><svg class="circular" viewBox="25 25 50 50"><circle class="path" cx="50" cy="50" r="20" fill="none" stroke-width="2" stroke-miterlimit="10"/></svg></div>';
                break;
                
            case "three":
                $cls = 'tb-social-3 tb-social';
                break;

            default:
        }

        $loader = do_shortcode('[THEPACK_INSERT_TPL id="'.$page_loader.'"]');

        return $loader;        
    }

    function __construct() {
    
        add_filter('upload_mimes',array($this,'thepack_mime_types'));
        add_filter('wpcf7_autop_or_not', '__return_false');
        add_action('widgets_init',array($this,'thepack_custom_sidebar'));
        add_action( 'init', array($this,'thepack_add_image_sizes' ));
        add_action('wp_footer',array($this,'thepack_back_to_top'));
        add_action('wp_footer',array($this,'thepack_page_footer'));
        add_action('wp_head',array($this,'thepack_header_template'),10,8);
        add_action( 'elementor/page_templates/canvas/before_content',array($this, 'thepack_custom_html' ));
        
    }       

        function thepack_header_template() {

        global $wp_query;
        $postid = $wp_query->post->ID;
        $layout = get_post_meta($postid, 'tb_pagemeta', 'false');
        $no = get_post_meta($postid, '_wp_page_template','true');
        if ( $no =='elementor_canvas' || $no =='elementor_header_footer' || is_404() ){
            return;
        }
        echo $this->thepack_render_pageloader();



        $meta = $layout ? $layout['post_header'] : '';
        $header_tpl = cs_get_option('header_tpl','',TBOPT);
        $tpl = $meta ? $meta : $header_tpl;
        echo do_shortcode('[THEPACK_INSERT_TPL id="'.$tpl.'"]'); 

    }

    /**
     * for archive $layout['dis_footer'] returns true
     */

    function thepack_page_footer() {

        global $wp_query;
        $postid = $wp_query->post->ID;
        $postType = get_post_type( $postid);
        $layout = get_post_meta($postid, 'tb_pagemeta', 'false');
        if (is_array($layout)){
            $single_layout = $layout['dis_footer'];
        }
        $no = get_post_meta($postid, '_wp_page_template','true');

        if ( $postType == 'elementor_library' || $single_layout || $no =='elementor_header_footer' || is_404() ){
            return;
        }
 
        $meta = $layout ? $layout['post_footer'] : '';        
        $footer_tpl = cs_get_option('footer_tpl','',TBOPT);
        $tpl = $meta ? $meta : $footer_tpl;
        
        $sticky_footer = cs_get_option('sticky_footer') ? 'stickyfooter' : '';

        if($tpl){
            echo '<div class="bari-footer '.$sticky_footer.'">'.do_shortcode('[THEPACK_INSERT_TPL id="'.$tpl.'"]').'</div>';        
        } 

    }


    function thepack_back_to_top() { 
        global $wp_query;
        $postid = $wp_query->post->ID;
        $postType = get_post_type( $postid);

        if ( $postType == 'elementor_library'){
            return;
        }

        $cookie = cs_get_option('cookie_tpl','',TBOPT);     
        $show = cs_get_option('show_top','',TBOPT);
        if($show){
            echo '
            <a href="#" id="tb-top" class="tbprogress">
              <svg class="progress-circle svg-content" width="100%" height="100%" viewBox="0 0 100 100" preserveAspectRatio="xMinYMin meet">
              <path d="M50,1 a49,49 0 0,1 0,98 a49,49 0 0,1 0,-98"></path></svg>
              <i class="fa fa-long-arrow-up" aria-hidden="true"></i>
            </a>
            ';        
        }

        if ($cookie){
            echo '<div class="cookiewrp">'.do_shortcode('[THEPACK_INSERT_TPL id="'.$cookie.'"]').'</div>';
        }

    }

    /*SVG upload enable*/

    function thepack_mime_types($mimes) {
      $mimes['svg'] = 'image/svg+xml';
      return $mimes;
    }                        

    /**
     * Register unlimited sidebar .
     * Return array
     * Pull values from theme option
     */

    function thepack_custom_sidebar() {
            
        $customsidebars = cs_get_option('sidebars','',TBOPT);
        if (! empty($customsidebars) && sizeof($customsidebars) > 0) {
            foreach ( $customsidebars as $customsidebar ) {
                $widget_areas = esc_attr($customsidebar['name'] );                        
                    register_sidebar( array(
                        'name' => $widget_areas,
                        'id' => $widget_areas,
                        'before_widget' => '<section id="%1$s" class="widget %2$s">',
                        'after_widget'  => '</section>',
                        'before_title'  => '<h2 class="widget-title">',
                        'after_title'   => '</h2>',
                    ) );                    
            }
        }
    }               

    function thepack_add_image_sizes() {

        $imgsizes = cs_get_option('imgsizes','',TBOPT);
        if (! empty($imgsizes) && sizeof($imgsizes) > 0) {
            foreach ( $imgsizes as $imgsize ) {       
                    $crop = $imgsize['crop']=='on' ? 'true' : 'false';            
                    add_image_size( $imgsize['name'], $imgsize['width'], $imgsize['height'], $crop );                    
            }
        }
    }

function thepack_custom_html () {

    global $wp_query;
    $postid = $wp_query->post->ID;
    $post_type = get_post_type($postid);
    
    if ($post_type =='elementor_library'){
        return;
    }

    echo $this->thepack_render_pageloader();

    $layout = get_post_meta($postid, 'tb_pagemeta', 'false');
    if ( $layout['dis_header'] =='' || is_404() ){

        $meta = $layout ? $layout['post_header'] : '';
        $header_tpl = cs_get_option('header_tpl','',TBOPT);
        $tpl = $meta ? $meta : $header_tpl;
        echo do_shortcode('[THEPACK_INSERT_TPL id="'.$tpl.'"]');

    } 
}

}

new thepack_theme_hooks();
