<?php 

add_action('admin_menu', 'thepack_demo_import_menu');

if ( ! function_exists('thepack_demo_import_menu'))
{
  function thepack_demo_import_menu()
  {
    $my_page=add_submenu_page( 'themes.php' , 'Demo Import' , 'Demo Import' , 'manage_options' , 'thepack_demo_import' , 'thepack_demo_import' );
    add_action( 'load-' . $my_page, 'thepack_load_admin_css' );
  }

    function thepack_load_admin_css(){

  }

}

if ( !function_exists('thepack_demo_import'))
{
  function thepack_demo_import(){

    if (is_plugin_active( 'wordpress-importer/wordpress-importer.php' )){
          echo '<div class="notice notice-error is-dismissible"><p>Please deactivate "WordPress Importer" Plugin.</p></div>';
    }

    ?>
  <style>

  .xlimwrap{
      max-width: 500px;
      margin: 0px auto;
      background: white;
      padding: 15px;
      margin-top: 5%;
  }
  .xlimbtn {
      border: 0px;
      background: black;
      color: white;
      padding: 10px 0px;
      width: 170px;
      cursor: pointer;
  }

  </style>
    
    <div class="xlimwrap">
      <div class="import_running" style="display:none;">
        <h1>Importing Demo Content...<img src="<?php echo admin_url();?>/images/spinner.gif" alt="spinner"></h1>
        <p>Please be patient and do not close this tab while the import is in&nbsp;progress. This can take a while if your server is slow (inexpensive hosting).<br>You will be notified via this page when the import is completed.</p>
      </div>

      <div class="import_done" style="display:none;">
        <h1>Import completed successfully!</h1>
        <p>Now you can see the result at <a href="<?php echo site_url(); ?>" target="_blank">your site</a>.
      </div>

      <form class="import_form" action="?page=thepack_demo_import" method="post">
        <div class="import_wrapper">
            <h2>Important Notice:</h2>
            <ol>
              <li>We recommend to run Demo Import on a clean WordPress installation.</li>
              <li>To reset your installation we recommend <a href="http://wordpress.org/plugins/wordpress-database-reset/" target="_blank">Wordpress Database Reset</a> plugin.</li>
              <li>The Demo Import will import the images we have used in our live demo.</li>
              <li>Do not run the Demo Import multiple times one after another, it will result in double content.</li>
            </ol>

          <?php if (!is_plugin_active( 'wordpress-importer/wordpress-importer.php' )){
            echo '<input class="xlimbtn" type="submit" value="Import" id="fire_import">';
          } ?>  
          

        </div>

      </form>
      </div>
    <script>
      ( function( $ ) {
        "use strict";
        var import_running = false;
        $('#fire_import').click(function(){
          if (import_running) return false;
          $("html, body").animate({
            scrollTop: 0
          }, {
            duration: 300
          });
          
            importqueue = [],
            processqueue = function(){
              if (importqueue.length != 0){
                var importaction = importqueue.shift();
                $.ajax({
                  type: 'POST',
                  url: '<?php echo admin_url('admin-ajax.php'); ?>',
                  data: {
                    action: importaction,
                  },
                  success: processqueue
                });
              }
              else {
                $('.import_running').slideUp();
                
                $('.import_done').slideDown();
                import_running = false;
              }


            };
          importqueue.push('thepack_demo_import_content');
          importqueue.push('thepack_demo_import_options');

          if (importqueue.length == 0) return false;

          import_running = true;
          $('.import_form').slideUp(null, function(){
            $('.import_running').slideDown();
          });
                    
          processqueue();

          return false;
        });
      } )( jQuery );
    </script>
    <?php
  }

 
  function thepack_demo_import_content(){

    set_time_limit(0);

    if ( !defined('WP_LOAD_IMPORTERS') ) define('WP_LOAD_IMPORTERS', true);

    require_once THEPACK_PLUG_DIR .'/vendor/wordpress-importer/wordpress-importer.php';
       
    $wp_import = new WP_Import();
    $wp_import->fetch_attachments = true;
    ob_start();
    $wp_import->import(THEPACK_PLUG_DIR .'/helper/demo/demo.xml');
    ob_end_clean();

  }
  add_action('wp_ajax_thepack_demo_import_content', 'thepack_demo_import_content');

  //Import Options 
  function thepack_demo_import_options(){

    $options_data = unserialize(file_get_contents(THEPACK_PLUG_DIR.'/helper/demo/theme-option.txt'));
    update_option( 'tb_settings', $options_data ); 
    update_option( 'elementor_css_print_method', 'internal');
    //update_option('page_on_front','180');
    die();
  }
  add_action('wp_ajax_thepack_demo_import_options', 'thepack_demo_import_options');
}