<?php

/*
Plugin Name: The Pack
Plugin URI: https://webangon.com/
Description: Premium Elementor addon. 
Author: Ashraf
Author URI: https://webangon.com
Version: 1.0.0
Text Domain: thepack
Domain Path: /languages/
*/

if ( ! defined( 'ABSPATH' ) ) exit;
define( 'THEPACK_PLUG_DIR', dirname(__FILE__).'/' );

if ( ! did_action( 'elementor/loaded' ) ) {

    add_action( 'admin_notices', 'thepack_notice_missing_plugin');
    function thepack_notice_missing_plugin() {
        $message = sprintf(

              esc_html__('"%1$s" requires "%2$s" to be installed and activated.', 'thepack' ),
            '<strong>' .   esc_html__( 'The Pack', 'thepack' ) . '</strong>',
            '<strong>' .   esc_html__( 'Elementor', 'thepack' ) . '</strong>'
        );
        printf( '<div class="notice notice-warning is-dismissible"><p>%1$s</p></div>', $message );

    }    
}

function thepack_tb_load_reqfiles() {

    if( ! function_exists( 'cs_framework_init' ) && ! class_exists( 'CSFramework' ) ) {
         
          require_once THEPACK_PLUG_DIR .'/vendor/codestar-framework/cs-framework.php';
          require_once THEPACK_PLUG_DIR .'/vendor/configstar/configstar.php';
          
    }

    if (  did_action( 'elementor/loaded' ) ) {
        require_once THEPACK_PLUG_DIR .'/ashelement/index.php';
    }

    if( ! class_exists( 'null_instagram_widget' ) ) {
         
          require_once THEPACK_PLUG_DIR .'/vendor/wp-instagram-widget/wp-instagram-widget.php';
    }

}
add_action( 'plugins_loaded', 'thepack_tb_load_reqfiles' );

require_once ( 'helper/customiser-extra.php' );
require_once ( 'helper/cpt.php' );
require_once ( 'theme/xld-theme.php' );
require_once ( 'helper/import-demo.php' );

/**
 * Enqueue scripts and styles.
 */

function thepack_add_stylescript() {
    $lightbox = cs_get_option('lightbox','',TBOPT);
    wp_enqueue_style('dynamic', plugins_url("/css/dynamic.css", __FILE__));

    if ($lightbox == 'featherlight'){

        wp_enqueue_style('featherlight', plugins_url("/vendor/featherlight/wp-featherlight.css", __FILE__));
        wp_enqueue_script('featherlight', plugins_url("/vendor/featherlight/featherlight.min.js", __FILE__), array('jquery'),'', true );        

    } elseif ($lightbox == 'fancybox') {

        wp_enqueue_style('fancybox', plugins_url("/vendor/wp-post-gallery-fancybox/assets/css/jquery.fancybox.min.css", __FILE__));
        wp_enqueue_script('fancybox', plugins_url("/vendor/wp-post-gallery-fancybox/assets/js/jquery.fancybox.min.js", __FILE__), array('jquery'),'', true );

    }
     
    function thepack_xld_bar_dynamic_css() {
        ob_start();
        include dirname(__FILE__) . '/css/dynamic.php';
        $output = ob_get_contents();
        ob_end_clean();
        return $output;
    }    
    wp_add_inline_style('dynamic', thepack_xld_bar_dynamic_css() );
}
add_action( 'wp_enqueue_scripts', 'thepack_add_stylescript',999 );

?>