<?php

namespace thepack_themebuilderr;

use Elementor;
use Elementor\Controls_Manager;
use Elementor\Plugin;

class thepack_themebuilderr{

    private static $_instance = null;

    public $_hook_positions = array();

    public static function instance() { 
        if ( is_null( self::$_instance ) ) {
            self::$_instance = new self();
        }
        return self::$_instance;
    }

    /**
     * Plugin constructor.
     */
    
    private function __construct() {

        $this->thepack_includes();
        add_action( 'elementor/init',[ $this, 'thepack_elementor_loaded']);
        add_action( 'elementor/frontend/after_enqueue_styles', [ $this, 'thepack_enqueue_scripts' ]);
        add_action( 'elementor/widgets/widgets_registered', [$this, 'thepack_widget_registered']);

    }


    private function thepack_includes(){

        require_once THEPACK_TH_PATH.'includes/themes/theme.php';
        require_once THEPACK_TH_PATH.'includes/frontend.php';

    }

    public function thepack_elementor_loaded(){
        \Elementor\Plugin::instance()->elements_manager->add_category(
            'ae-template-elements',
            [
                'title'  => 'TP Template Elements',
                'icon' => 'fa fa-plug'
            ],
            1
        );


    }

        public function thepack_enqueue_scripts() {

            wp_enqueue_script('masonry'); 
            wp_enqueue_script('thepack-theme', THEPACK_TH_URL . 'includes/js/tb-theme.js', array('jquery.scrollbar'), '', true);
            wp_enqueue_style('thepack-theme-plugin', THEPACK_TH_URL . 'includes/css/style.css');
            wp_enqueue_style('thepack-header', THEPACK_TH_URL . 'includes/css/header.css');
            
        }

    public function thepack_widget_registered()
    {
        require_once THEPACK_TH_PATH . 'includes/elements/post-meta.php';
        require_once THEPACK_TH_PATH . 'includes/elements/thumb_bg/index.php';
        require_once THEPACK_TH_PATH . 'includes/elements/author-box/index.php';
        require_once THEPACK_TH_PATH . 'includes/elements/related-post/post-related.php';
        
        require_once THEPACK_TH_PATH . 'includes/elements/post-content.php';
        require_once THEPACK_TH_PATH . 'includes/elements/folio-navigation/index.php';
        require_once THEPACK_TH_PATH . 'includes/elements/post-navigation/index.php';
        require_once THEPACK_TH_PATH . 'includes/elements/post-comments.php';
        require_once THEPACK_TH_PATH . 'includes/elements/post-thumbnail.php';
        require_once THEPACK_TH_PATH . 'includes/elements/arctitle.php';
        require_once THEPACK_TH_PATH . 'includes/elements/taxonomy/index.php';
        require_once THEPACK_TH_PATH . 'includes/elements/search_form/index.php';
        require_once THEPACK_TH_PATH . 'includes/elements/recent_post/index.php';

        require_once THEPACK_TH_PATH . 'includes/elements/header_1/index.php';
        require_once THEPACK_TH_PATH . 'includes/elements/header_2/index.php';
        require_once THEPACK_TH_PATH . 'includes/elements/header_3/index.php';
        require_once THEPACK_TH_PATH . 'includes/elements/header_4/index.php';
        require_once THEPACK_TH_PATH . 'includes/elements/header_topinfo/index.php';
        require_once THEPACK_TH_PATH . 'includes/elements/header_op1/index.php';
        require_once THEPACK_TH_PATH . 'includes/elements/blog-slider/index.php';
        require_once THEPACK_TH_PATH . 'includes/elements/blog_bg/index.php';
        require_once THEPACK_TH_PATH . 'includes/elements/blog_list/index.php';
        require_once THEPACK_TH_PATH . 'includes/elements/blog-carousel/index.php';

        require_once THEPACK_TH_PATH . 'includes/elements/breadcum/index.php';
        require_once THEPACK_TH_PATH . 'includes/elements/post_share/index.php';
        
        require_once THEPACK_TH_PATH . 'includes/elements/blog-mason/index.php';

    }
}

thepack_themebuilderr::instance();

