<?php

namespace thepack_themebuilderr;
use Elementor\Plugin;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;

class thepack_arc_title extends Widget_Base{
    public function get_name() {
        return 'th-arctitle';
    }

    public function get_title() {
        return   esc_html__( 'ARC-TITLE', 'thepack' );
    }

    public function get_icon() {
        return 'eicon-image-box';
    }

    public function get_categories() {
        return [ 'ae-template-elements' ];
    }

    protected function _register_controls() {
        $this->start_controls_section(
            'section_style',
            [
                'label' =>   esc_html__( 'Style', 'thepack' )
            ]
        );

        $this->add_responsive_control(
            'align',
            [
                'label' =>   esc_html__( 'Alignment', 'thepack' ),
                'type' => Controls_Manager::CHOOSE,
                'options' => [
                    'left' => [
                        'title' =>   esc_html__( 'Left', 'thepack' ),
                        'icon' => 'fa fa-align-left',
                    ],
                    'center' => [
                        'title' =>   esc_html__( 'Center', 'thepack' ),
                        'icon' => 'fa fa-align-center',
                    ],
                    'right' => [
                        'title' =>   esc_html__( 'Right', 'thepack' ),
                        'icon' => 'fa fa-align-right',
                    ]
                ],
                'selectors' => [
                    '{{WRAPPER}} .arctitle' => 'text-align: {{VALUE}};',
                ],
            ]
        );

        $this->add_group_control(
            Group_Control_Typography::get_type(),
            [
                'name' => 'link_typo',
                'selector' => '{{WRAPPER}} .arctitle h3',
                'label' =>   esc_html__( 'Typography', 'thepack' ),
            ]
        );
        
        $this->add_control(
            'titlecolor',
            [
                'label' =>   esc_html__( 'Color', 'thepack' ),
                'type' => Controls_Manager::COLOR,
                'selectors' => [
                    '{{WRAPPER}} .arctitle h3' => 'color: {{VALUE}};'
                ],
            ]
        );


        $this->add_control(
            'tagmargins',
            [
                'label' =>   esc_html__('Margin', 'thepack'),
                'type' => Controls_Manager::DIMENSIONS,
                'size_units' => [ 'px', 'em' ],
                'selectors' => [
                    '{{WRAPPER}} .arctitle h3' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
            ]
        );

        $this->end_controls_section();
    }

    protected function render() {
        $settings = $this->get_settings();
        $helper = new thepack_helper_theme();
        $post_data = $helper->thepack_get_demo_post_data();
        if (Plugin::instance()->editor->is_edit_mode()){
            
            ?>
            <div class="arctitle"><h3>Arc Title</h3></div>
        <?php } else {?>

            <div class="arctitle">
                <?php echo $helper->thepack_archive_title();?>
            </div>

        <?php }

    }
}

\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new thepack_arc_title() );