<?php

$excerpt= $settings['excerpt']['size'];
$per_page = $settings['posts_per_page'];

$meta_s = thepack_buildermeta_to_string($settings['metas']);

$cat = $settings['cat_query'];
$id = $settings['id_query'];

if (is_front_page()) {
    $paged = (get_query_var('page')) ? get_query_var('page') : 1;
}
else {
    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
}


if($settings['query_type'] == 'category'){
    $query_args = array(
        'post_type' => 'post',
        'paged' => $paged,
        'posts_per_page' => $per_page,
        'tax_query' => array(
            array(
                'taxonomy' => 'category',
                'field' => 'term_id',
                'terms' => $cat,
            ) ,
        ) ,
    );
}

if($settings['query_type'] == 'individual'){
    $query_args = array(
        'post_type' => 'post',
        'paged' => $paged,
        'posts_per_page' => $per_page,
        'post__in' =>$id,
        'orderby' => 'post__in'
    );
}

$item = $settings['item']['size'];
$item_tab = $settings['item_tab']['size'];

$slider_options = [
    'items' => $item,
    'item_tab' => $item_tab,
    'arrows' => ('yes' === $settings['arrow']),
    'dots' => ('yes' === $settings['dot']),
    'auto' => ('yes' === $settings['auto']),
    'transition' => ('yes' === $settings['transition']),
    'center' => ('yes' === $settings['center']),
    'speed' => $settings['speed']['size'],
];
require dirname(__FILE__) .'/'. $settings['style'] .'.php';
?>

<style type="text/css">

.post-carousel .slick-arrow {
    position: absolute;
    top: 50%;
    width: 35px;
    height: 35px;
    background: white;
    line-height: 35px;
    text-align: center;
    font-size: 10px;
    border-radius: 2px;
    cursor: pointer;
    margin-top:-17.5px;
    z-index: 1;
  opacity:0;
      -webkit-transition: all .5s;
    -moz-transition: all .5s;
    -o-transition: all .5s;
    transition: all .5s;
}

.post-carousel .fa-chevron-right.slick-arrow {
    right: 0;
}
.post-carousel.slick-slider .fa-chevron-left{
  left:0;
}
.post-carousel.slick-slider:hover .slick-arrow{
  opacity:1;
}
.post-carousel.slick-slider:hover .fa-chevron-left{
  left:10px;
}
.post-carousel.slick-slider:hover .fa-chevron-right{
  right:10px;
}

.post-carousel .grid-item {
    position: relative;
    overflow: hidden;
    background-repeat: no-repeat;
    background-position: center top;
    background-size: cover;
}
.post-carousel .slide-bg {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-size: cover;
    background-position: center center;
    transition: 1.5s;
}
.post-carousel .thumb-overlay .thumb-content {
    position: absolute;
    bottom: 0;
    left: 0;
    padding: 0 30px 20px;
    z-index: 3;
    width: 100%;
    pointer-events: none;
    transition: bottom 0.3s;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}
.post-carousel .thumb-overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    padding: 30px;
}

.post-carousel .full-thumb-link {
    position: absolute;
    width: 100%;
    height: 100%;
        z-index: 1;
}

.post-carousel .thumb-overlay:after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    height: 65%;
    transition: opacity 0.2s;
    background-image: linear-gradient(to bottom, transparent, rgba(0,0,0,0.70));
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

.post-carousel .thumb-overlay .post-entry {
    color: #ffffff;
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transition: opacity 0.4s ease-out, max-height 0.4s ease-out, margin 0.4s;
}
.post-carousel .grid-item:hover .post-entry {
    opacity: 1;
    max-height: 100px;
    margin-top: 5px;
    transition: opacity 0.4s ease-out, max-height 0.9s ease-out;
}

.post-carousel.style-three .full-thumb-link:after {
    content: "";
    display: block;
    position: absolute;
    width: 100%;
    top: 0;
    bottom: 0;
    background: #00000052;
    z-index: 2;
}

.post-carousel.style-three .thumb-overlay3 {
    position: relative;
    top: 48%;
    max-width: 400px;
    width: 100%;
    margin: 0px auto;
    text-align: center;
    opacity: 0;
    transform: translateY(-50%);
    -webkit-transition: all .5s;
    -moz-transition: all .5s;
    -o-transition: all .5s;
    transition: all .5s;
    z-index: 3;
}

.post-carousel.style-three .slick-active .thumb-overlay3 {
    opacity: 1;
}
</style>