<?php
use Elementor\Plugin;

$excerpt= $settings['excerpt']['size'];
$per_page = $settings['posts_per_page'];
$show_img = $settings['show_img'];
$img_size = $settings['img_size'];
$animation = $settings['animation'];

$item = $settings['per_line']['size'];

$meta = thepack_buildermeta_to_string($settings['metas']);
$cat = $settings['cat_query'];
$id = $settings['id_query'];


if (is_front_page()) {
    $paged = (get_query_var('page')) ? get_query_var('page') : 1;
}
else {
    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
}


if($settings['query_type'] == 'category'){
    $query_args = array(
        'post_type' => 'post',
        'paged' => $paged,
        'posts_per_page' => $per_page,
        'tax_query' => array(
            array(
                'taxonomy' => 'category',
                'field' => 'term_id',
                'terms' => $cat,
            ) ,
        ) ,
    );
}

if($settings['query_type'] == 'individual'){
    $query_args = array(
        'post_type' => 'post',
        'paged' => $paged,
        'posts_per_page' => $per_page,
        'post__in' =>$id,
        'orderby' => 'post__in'
    );
} 
 
$loop = new \WP_Query($query_args);

echo '<div class="ashelement-grid">';
if (Plugin::instance()->editor->is_edit_mode()){
    require dirname(__FILE__) .'/page-mode.php';
} else {
    if ($settings['arc_query']){
        require dirname(__FILE__) .'/archive-mode.php';
    } else {
        require dirname(__FILE__) .'/page-mode.php';
    }

}

echo '</div>';
thepack_builder_post_pagination($settings['arc_query'],$loop,$settings['show_pagi']);
?>

<style type="text/css">

.ashelement-grid .blog.grid-item {
    float: left;
}
.pagination-theme {
    clear: both;
    overflow: hidden;
    visibility: visible;
}
.pagination-theme ul {
    margin: 0;
    padding: 0;
    list-style-type: none;
}
.pagination-theme li {
    display: inline-block;
    margin-right: 15px;
}

.ashelement-grid .jane-featured:after {
    content: ' ';
    position: absolute;
    z-index: 1;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    opacity: 0;
    pointer-events: none;
    -webkit-transition: all ease .5s;
    -ms-transition: all ease .5s;
    transition: all ease .5s;
    background-color: rgba(31,31,31,0.4);
}

.ashelement-grid .jane-featured:hover:after {
    opacity: 1;
}
.ashelement-grid .jane-featured{
  position:relative;
}

.ashelement-grid .mason-content{
transition: all .6s cubic-bezier(.23,1,.32,1);
  top:0px;
  position:relative;
}


</style>