<?php

$excerpt= $settings['excerpt']['size'];
$per_page = $settings['posts_per_page']['size'];
$show_img = $settings['show_img'];
$img_size = $settings['img_size'];

$item = $settings['item']['size'];
$item_tab = $settings['item_tab']['size'];

$meta = thepack_buildermeta_to_string($settings['metas']);

$cat = $settings['cat_query'];
$id = $settings['id_query'];


if (is_front_page()) {
    $paged = (get_query_var('page')) ? get_query_var('page') : 1;
}
else {
    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
}


if($settings['query_type'] == 'category'){
    $query_args = array(
        'post_type' => 'post',
        'paged' => $paged,
        'posts_per_page' => $per_page,
        'tax_query' => array(
            array(
                'taxonomy' => 'category',
                'field' => 'term_id',
                'terms' => $cat,
            ) ,
        ) ,
    );
}

if($settings['query_type'] == 'individual'){
    $query_args = array(
        'post_type' => 'post',
        'paged' => $paged,
        'posts_per_page' => $per_page,
        'post__in' =>$id,
        'orderby' => 'post__in'
    );
}

if($settings['offset']){
    $query_args['offset'] = $settings['offset']['size'];
}

$slider_options = [
    'items' => $item,
    'item_tab' => $item_tab,
    'arrows' => ('yes' === $settings['arrow']),
    'dots' => ('yes' === $settings['dot']),
    'auto' => ('yes' === $settings['auto']),
];


$loop = new \WP_Query($query_args);

echo '<div class="simpost-carousel blog-list" data-slick ='.wp_json_encode($slider_options).'>';

if ($loop->have_posts()) : ?>
        <?php while ($loop->have_posts()) : $loop->the_post(); ?>

            <div class="style-one grid-item">
                <article class="mason-content">   
                    
                        <div class="gallery-box">
                            <a class="post-featured" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
                            
                                <div class="jane-featured janelove-loader">
                                    <?php echo thepack_ft_images($id='',$img_size);?>
                                </div>                      
                            </a>
                        </div>
                                               	
                    <div class="grid-content">            
                        <?php thepack_build_postmeta($meta,$excerpt); ?>
                    </div>
                </article>
            </div>
 
        <?php endwhile; ?>

        <?php wp_reset_postdata(); ?>
        
<?php endif;
echo '</div>';
?>
