<?php
use Elementor\Plugin;

$excerpt= $settings['excerpt']['size'];
$per_page = $settings['per_page']['size'];
$show_img = $settings['show_img'];
$img_size = $settings['img_size'];
$animation = $settings['animation'];
$cls = $settings['shdw'].' '.$settings['raisd'];

$meta = thepack_buildermeta_to_string($settings['metas']);

$cat = $settings['cat_query'];
$id = $settings['id_query'];

if (is_front_page()) {
    $paged = (get_query_var('page')) ? get_query_var('page') : 1;
}
else {
    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
}


if($settings['query_type'] == 'category'){
    $query_args = array(
        'post_type'             => 'post',
        'posts_per_page'        => $per_page,
        'paged'                 => $paged,
        'post_status'           => 'publish',
        'tax_query' => array(
            array(
                'taxonomy' => 'category',
                'field' => 'term_id',
                'terms' => $cat,
            ),
        ),         
    );
}

if($settings['query_type'] == 'individual'){
    $query_args = array(
        'post_type' => 'post',
        'paged' => $paged,
        'posts_per_page' => $per_page,
        'post__in' =>$id,
        'orderby' => 'post__in'
    );
} 

if ($settings['slideshw']){

    $cls = $cls.' '.'bg_carousel';
    $cstyle = 'style="display:none;"';
    $slider_options = [

        'item' => $settings['item']['size'],
        'speed' => $settings['speed']['size'],
        'auto' => ('yes' === $settings['auto']),
        'dot' => ('yes' === $settings['dot']),
        'arrow' => ('yes' === $settings['arrow']),
        'item_tab' => $settings['item_tab']['size'],
        'picon' => $settings['picon'],
        'nicon' => $settings['nicon'],

    ];

} 

$loop = new WP_Query($query_args);

echo '<div '.$cstyle.' class="ae_blog_bg '.$cls.'" data-xld =\''.wp_json_encode($slider_options).'\'>';
if (Plugin::instance()->editor->is_edit_mode()){
    require dirname(__FILE__) .'/page-mode.php';
} else {
    if ($settings['arc_query']){
        require dirname(__FILE__) .'/archive-mode.php';
    } else {
        require dirname(__FILE__) .'/page-mode.php';
    }

}

echo '</div>';
thepack_builder_post_pagination($settings['arc_query'],$loop,$settings['show_pagi']);
?>

<style type="text/css">
.ae_blog_bg article{
    position: relative;
    background-size: cover;
    height: 307px;
    padding: 15px;
    top:0px;
    -webkit-transition: all .3s;
    transition: all .3s;     
}
.ae_blog_bg .grid-content{
    position: relative;
    top: 50%;
    transform: translateY(-50%);
}
.ae_blog_bg .tblinks{
    position: absolute;
    width: 100%;
    left: 0;
    top: 0;
    bottom: 0;
}
.ae_blog_bg.shadowon article:hover .tblinks{
    box-shadow: 2px 34px 30px -30px rgba(0,0,0,0.5);
}

.ae_blog_bg.shadowon article:hover{
    top: -10px;
}

.ae_blog_bg .tbdtwrp{
    display: inline-block;
    width: 50px;
    background: yellow;
    height: 50px;
    text-align: center;
}
.ae_blog_bg .tbinr{
    position: relative;
    top: 50%;
    transform: translateY(-50%); 
}
.ae_blog_bg .tbdtwrp span{
  display:block;
}
.ae_blog_bg .tblinks::before {
    content: "";
    display: block;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    background:#00000078;
}
.ae_blog_bg .blog.grid-item {
    float: left;
}
.pagination-theme {
    clear: both;
    overflow: hidden;
    visibility: visible;
}
.pagination-theme ul {
    margin: 0;
    padding: 0;
    list-style-type: none;
}
.pagination-theme li {
    display: inline-block;
    margin-right: 15px;
}

.ae_blog_bg.bg_carousel .slick-arrow{
    width: 40px;
    height: 40px;
    text-align: center;
    background: white;
    cursor: pointer;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    opacity:0;
    -webkit-transition: all .3s;
    transition: all .3s;    
}
.ae_blog_bg.bg_carousel .tbslick-prev{
    display: inline-block;
    left: 15px;
    z-index: 4;
}

.bg_carousel .tbslick-next{
    display: inline-block;
    right: 15px;
    z-index: 4;
}

.ae_blog_bg.bg_carousel:hover .slick-arrow{
    opacity:1;
}

</style>