<?php
use Elementor\Plugin;

$excerpt= $settings['excerpt']['size'];
$per_page = $settings['posts_per_page'];
$show_img = $settings['show_img'];
$img_size = $settings['img_size'];
$animation = $settings['animation'];

$item = $settings['per_line']['size'];

$meta = thepack_buildermeta_to_string($settings['metas']);

$cat = $settings['cat_query'];
$id = $settings['id_query'];


if (is_front_page()) {
    $paged = (get_query_var('page')) ? get_query_var('page') : 1;
}
else {
    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
}


if($settings['query_type'] == 'category'){
    $query_args = array(
        'post_type' => 'post',
        'paged' => $paged,
        'posts_per_page' => $per_page,
        'tax_query' => array(
            array(
                'taxonomy' => 'category',
                'field' => 'term_id',
                'terms' => $cat,
            ) ,
        ) ,
    );
}

if($settings['query_type'] == 'individual'){
    $query_args = array(
        'post_type' => 'post',
        'paged' => $paged,
        'posts_per_page' => $per_page,
        'post__in' =>$id,
        'orderby' => 'post__in'
    );
} 
 
$loop = new \WP_Query($query_args);

echo '<div class="ashelement-grid masonry-on">';
if ($settings['arc_query']){

if (have_posts()) : ?>
        <?php  while (have_posts()) : the_post();?>

            <div class="blog grid-item">
                <article class="mason-content">   
                    <?php if ( has_post_thumbnail()) : ?>
                        <div class="gallery-box">
                            <a class="post-featured" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">                            
                                <div class="jane-featured janelove-loader">
                                    <?php the_post_thumbnail($img_size); ?>
                                </div>                      
                            </a>
                        </div>
                    <?php endif; ?>                             
                    <div class="grid-content">            
                        <?php thepack_build_postmeta($meta,$excerpt);?>
                    </div>
                </article>
            </div>
 
        <?php endwhile; ?>

        <?php wp_reset_postdata(); ?>
        
<?php endif;
} else {

if ($loop->have_posts()) : ?>
        <?php  while ($loop->have_posts()) : $loop->the_post();?>

            <div class="blog grid-item">
                <article class="mason-content">   
                    <?php if ( has_post_thumbnail()) : ?>
                        <div class="gallery-box">
                            <a class="post-featured" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">                            
                                <div class="jane-featured janelove-loader">
                                    <?php the_post_thumbnail($img_size); ?>
                                </div>                      
                            </a>
                        </div>
                    <?php endif; ?>                             
                    <div class="grid-content">            
                        <?php thepack_build_postmeta($meta,$excerpt);?>
                    </div>
                </article>
            </div>
 
        <?php endwhile; ?>

        <?php wp_reset_postdata(); ?>
        
<?php endif;

}

echo '</div>';
 thepack_builder_post_pagination($settings['arc_query'],$loop);
?>

<style type="text/css">
.ashelement-grid .blog.grid-item {
    float: left;
}
.pagination-theme {
    clear: both;
    overflow: hidden;
    visibility: visible;
}
.pagination-theme ul {
    margin: 0;
    padding: 0;
    list-style-type: none;
}
.pagination-theme li {
    display: inline-block;
    margin-right: 15px;
}
.ashelement-grid .jane-featured:after {
    content: ' ';
    position: absolute;
    z-index: 1;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    opacity: 0;
    pointer-events: none;
    -webkit-transition: all ease .5s;
    -ms-transition: all ease .5s;
    transition: all ease .5s;
    background-color: rgba(31,31,31,0.4);
}
.ashelement-grid .jane-featured:hover:after {
    opacity: 1;
}
.ashelement-grid .jane-featured{
  position:relative;
}

</style>