<?php

    $class = $settings['sticky'] ? 'stickyon' : 'stickyof';
    $icon = $settings['icon'] ? '<i class="tbicon '.esc_attr($settings['icon']).'"></i>' : '';
?>

<header id="opnav1" class="<?php echo esc_attr($class);?>">
  <nav>
      <?php echo thepack_get_builder_image($settings['logo_light']['url'],'light');?>
      <?php echo thepack_get_builder_image($settings['logo_dark']['url'],'dark');?>

      <div id="menu-toggle">
        <div id="menu-icon">
          <?php echo $icon;?>
        </div>
      </div>
      <?php echo $this->navcontent($settings['items']);?>

  </nav>
</header>
<style type="text/css">

/*** Navigation Styles ***/
#opnav1 {
  width: 100%;
  background: #46b2f0;
  position: relative;
  z-index: 10;
  left:0px;
  transition: all 0.3s;
      line-height: 63px;
          padding: 0px 15px;
}

#opnav1.fixed{
    position: fixed !important;  
  top: 0;
  left: 0;
  width:100%;
  z-index: 3;  
}
#opnav1.scrollUp {
  transform: translateY(-63px);
}

#opnav1 nav {
    max-width: 1140px;
    margin: 0px auto;
}

.fixed .dark {
    display: inline-block;
}
nav .dark,.fixed .light {
    display: none;
}
#menu-toggle {
    width: 55px;
    cursor: pointer;
    display: none;
    text-align: right;
}
ul.tbnav {
    margin: 0;
    padding-left: 0;
    list-style: none;
  text-align: right;
}
.tbnav a{
    display: block;
}
.tbnav > li {
    position: relative;
    display: inline-block;
}
.tbsite-logo {
    display: inline-block;
    float: left;
}

/*** Responsive Menu For Smaller Device ***/
@media screen and (max-width: 1025px) {
  #menu-toggle {
    display: inline-block;
    position: absolute;
    right: 15px;
  }

.tbsite-logo {
    float: inherit;
}
  .tbnav.showMenu {
    display: inline-block;
    background: beige;
    width: 100%;
    left: 0;
    position: absolute;
    top: 75px;
    padding: 20px 0px;
  }

  ul.showMenu li {
    opacity: 1;
    visibility: visible;
    text-align: center;
    line-height: 35px;
  }

  li {
    width: 50%;
    float: left;
    opacity: 0;
    visibility: hidden;
  }

}
</style>