<?php

namespace thepack_themebuilderr;

$helper = new thepack_helper_theme(); 
$post_data = $helper->thepack_get_demo_post_data();
$post_id = $post_data->ID;
$link_l = $settings['link_length']['size'];

$previous_post_id = $helper->thepack_get_previous_post_id($post_id);
$next_post_id = $helper->thepack_get_next_post_id($post_id);

?>
<div class="postnav-wrap one">
    <div class="xl-flex-row">
        <div class="xl-flex-col fw-col-sm-6 text-right">
        <?php if(!empty($previous_post_id)) :
            $previous_post = get_permalink($previous_post_id );
            $previous_post_title = get_the_title($previous_post_id );
            ?>
            <a class="prev-post" href="<?php echo esc_url($previous_post);?>">
                <span class="fa fa-angle-left"></span>
                <span class="link"> <?php echo thepack_html($previous_post_title);?></span>       
            </a>
        <?php endif; ?>
        </div>
        <div class="xl-flex-col fw-col-sm-6">
        <?php if(!empty($next_post_id)) :
            $next_post= get_permalink($next_post_id );
            $next_post_title = get_the_title($next_post_id );?>
                <a class="next-post" href="<?php echo esc_url($next_post);?>">
                    <span class="fa fa-angle-right"></span>
                    <span class="link"><?php echo thepack_html($next_post_title);?></span>
                </a>
        <?php endif; ?>
        </div>
    </div>
</div>

<style type="text/css">
	.xl-flex-col {
	    -webkit-box-flex: 1;
	    -ms-flex: 1;
	    flex: 1;
	}
	.xl-flex-row {
	    position: relative;
	    -js-display: flex;
	    display: -webkit-flex;
	    display: -ms-flexbox;
	    display: flex;
	    -webkit-flex-flow: row nowrap;
	    -ms-flex-flow: row nowrap;
	    flex-flow: row nowrap;
	    -webkit-align-items: center;
	    -ms-flex-align: center;
	    align-items: center;
	    -webkit-justify-content: space-between;
	    -ms-flex-pack: justify;
	    justify-content: space-between;
	    height: 100%;
	}
	.postnav-wrap.one {
	    border-top: 1px solid #efefef;
	    border-bottom: 1px solid #efefef;
	}

	.postnav-wrap.one .fw-col-sm-6:first-child {
	    border-bottom: none;
	    border-right: 1px solid #efefef;
	}
	.postnav-wrap.one .prev-post {
	    padding: 30px 15px 30px 30px;
	    display: block;
	}
	.postnav-wrap.one .next-post {
	    padding: 30px 30px 30px 15px;
	    display: block;
	}
	.postnav-wrap.one .fa {
	    position: absolute;
	    top: calc(50% - 13px);
	    width: 26px;
	    height: 26px;
	    line-height: 22px;
	    text-align: center;
	    border: 1px solid;
	    border-radius: 100%;
	    font-size: 16px;
	}
	.postnav-wrap.one .fa-angle-right {
	    right: 0px;
	}
	.postnav-wrap.one .fa-angle-left {
	    left: 0px;
	} 
</style>