<?php if ( ! defined( 'ABSPATH' ) ) {
	die;
} // Cannot access pages directly.
// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// FRAMEWORK SETTINGS 
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$settings = array(
	'menu_title'      => 'The Block Settings',
	'menu_type'       => 'theme',
	//'menu_slug'       => 'cs-framework', //todo this is where the framework breaks. An issue discovered is themes.php?page=cs-framework and admin.php?page=cs-framework is the same and creates conflict if same "menu_slug" is used for two instances of the framework even if "menu_type" is different (menu, theme).
	'menu_slug'       => 'tb_settings', // option table name.
	'ajax_save'       => true,
	'show_reset_all'  => false,
	'framework_title' => 'The Block Settings',
	'option_array'    => TBOPT, //this most unique variable **required** from now on. Leave to use default CS_OPTION but not recommended. BETTER to use your plugin name or theme name. <<SHOULD BE UNIQUE>>. This is the variable that gets used as the option name. So get_option('<<option_array>>') | update_option('<<option_array>>')
	'framework_title' => 'XLD Framework <small>by <a target="_blank" href="https://themeforest.net/user/xldevelopment">XLDevelopment</a></small>',
);

$options        = array();

/* Main Setting and Home Section
===================================*/
$options[] = array(
	'name'   => 'general_settings',
	'title'  =>   esc_html__( 'General Settings', 'thepack' ),
	'icon'   => 'dashicons-admin-generic',
  'sections' => array(

    // -----------------------------
    // begin: text options         -
    // -----------------------------
    array(
      'name'      => 'widget_loader',
      'title'     => 'Common',
      'icon'      => 'dashicons-chart-bar',

      // begin: fields
      'fields'    => array(

          array(
            'id'           => 'loader_tpl',
            'type'         => 'select',
            'class'     => 'chosen',
            'title'   =>   esc_html__( 'Page loader', 'thepack' ),
            'options' => thepack_footer_select($type='',$num='',$tax='coming-soon'),
          ),

          array(
            'id'         => 'show_top',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Back to Top', 'thepack' ),
          ), 

          array(
            'id'             => 'lightbox',
            'type'           => 'select',
            'title'          => 'Light Box',
            'options'        => array(
                'fancybox' => 'Fancybox',
                'featherlight' => 'Featherlight',
            ),
            'default_option' => 'Choose lightbox script',
          ),

          array(
            'id'      => 'gmapkey',
            'type'    => 'text',
            'title'   => 'Google map api key',
          ),

      )

    ), // end: text options          
  )
);  


$options[]   = array(
  'name'     => 'core_settings',
  'title'    => 'Core Module',
  'icon'     => 'dashicons-sos',
  'sections' => array(

    // -----------------------------
    // begin: text options         -
    // -----------------------------
    array(
      'name'      => 'widget_options',
      'title'     => 'Widgets A',
      'icon'      => 'dashicons-chart-bar',
      'fields'    => array(

          array(
            'id'         => 'awards',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Awards', 'thepack' ),
          ),
          array(
            'id'         => 'accordion_1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Accordion 1', 'thepack' ),
          ),
          array(
            'id'         => 'process_1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Process 1', 'thepack' ),
          ),
          array(
            'id'         => 'counter_1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Counter 1', 'thepack' ),
          ),  

          array(
            'id'         => 'counter_2',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Counter 2', 'thepack' ),
          ),
          array(
            'id'         => 'timeline_1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Timeline 1', 'thepack' ),
          ),
          array(
            'id'         => 'timeline_2',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Timeline 2', 'thepack' ),
          ),
          array(
            'id'         => 'testimonial_1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Testimonial 1', 'thepack' ),
          ), 

          array(
            'id'         => 'testimonial_2',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Testimonial 2', 'thepack' ),
          ),
          array(
            'id'         => 'testimonial_3',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Testimonial 3', 'thepack' ),
          ),
          array(
            'id'         => 'testimonial_4',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Testimonial 4', 'thepack' ),
          ),
          array(
            'id'         => 'testimonial_5',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Testimonial 5', 'thepack' ),
          ),

          array(
            'id'         => 'social_1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Social 1', 'thepack' ),
          ),
          array(
            'id'         => 'split_folio',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Split Folio', 'thepack' ),
          ),
          array(
            'id'         => 'social_2',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Social 2', 'thepack' ),
          ),
          array(
            'id'         => 'gallery_1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Gallery 1', 'thepack' ),
          ),

          array(
            'id'         => 'gallery_2',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Gallery 2', 'thepack' ),
          ),

          array(
            'id'         => 'joblisting',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Job listing', 'thepack' ),
          ),
          array(
            'id'         => 'tourlisting',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Tour listing', 'thepack' ),
          ),
          array(
            'id'         => 'eventlisting',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Event listing', 'thepack' ),
          ),
          array(
            'id'         => 'slider_1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Slider 1', 'thepack' ),
          ),

          array(
            'id'         => 'slider_thumb',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'SLIDER THUMBNAIL', 'thepack' ),
          ),
          array(
            'id'         => 'slidervertical_2',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Slidervertical 2', 'thepack' ),
          ),
          array(
            'id'         => 'slidercarousel_1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Slidercarousel 1', 'thepack' ),
          ),
          array(
            'id'         => 'sliderfullscrn',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Fullscreen slider', 'thepack' ),
          ),

          array(
            'id'         => 'slider_hoversync',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Slider Hoversync', 'thepack' ),
          ),
          array(
            'id'         => 'slider_shop',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Slider Shop', 'thepack' ),
          ),
          array(
            'id'         => 'slider_slicksplit',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Split Slick', 'thepack' ),
          ),
                                                                              
      ), // end: fields

    ), // end: text options


    // -----------------------------
    // begin: text options         -
    // -----------------------------
    array(
      'name'      => 'widget_optionsb',
      'title'     => 'Widgets B',
      'icon'      => 'dashicons-chart-bar',
      'fields'    => array(

          array(
            'id'         => 'slidercentswipr',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Swiper Center', 'thepack' ),
          ),
          array(
            'id'         => 'heading_1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Heading 1', 'thepack' ),
          ),
          array(
            'id'         => 'iconbox_1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Iconbox 1', 'thepack' ),
          ),
          array(
            'id'         => 'iconbox_2',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Iconbox 2', 'thepack' ),
          ),

          array(
            'id'         => 'iconbox_3',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Iconbox 3', 'thepack' ),
          ),
          array(
            'id'         => 'imgbox_1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Imagebox 1', 'thepack' ),
          ),
          array(
            'id'         => 'imgbox_2',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Imagebox 2', 'thepack' ),
          ),

          array(
            'id'         => 'imgbox_3',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Imagebox 3', 'thepack' ),
          ),
          array(
            'id'         => 'imgbox_4',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Imagebox 4', 'thepack' ),
          ),
          array(
            'id'         => 'imgbox_5',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Imagebox 5', 'thepack' ),
          ),
          array(
            'id'         => 'imgbox_6',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Imagebox 6', 'thepack' ),
          ),
          array(
            'id'         => 'imgslickcarousel',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Carousel Image', 'thepack' ),
          ),
          array(
            'id'         => 'slideshowify',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Fullscreen kenburn', 'thepack' ),
          ),
          array(
            'id'         => 'datecounter',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Date counter', 'thepack' ),
          ),

          array(
            'id'         => 'foliomultiscroll',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Portfolio multiscroll', 'thepack' ),
          ),
          array(
            'id'         => 'minibox',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Mini-box', 'thepack' ),
          ),
          array(
            'id'         => 'multiscrollfullscreen',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Multiscroll fullscreen', 'thepack' ),
          ),
          array(
            'id'         => 'portfolio_parallax',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Parallax portfolio', 'thepack' ),
          ),
          array(
            'id'         => 'portfolio_filter',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Portfolio filter', 'thepack' ),
          ),
          array(
            'id'         => 'portfolio_hover',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Portfolio hover', 'thepack' ),
          ),

          array(
            'id'         => 'tab',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Tab', 'thepack' ),
          ),
          array(
            'id'         => 'tab_2',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Tab 2', 'thepack' ),
          ),
          array(
            'id'         => 'tab_3',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Tab 3', 'thepack' ),
          ),
          array(
            'id'         => 'sticky_nav',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Sticky Nav', 'thepack' ),
          ),
          array(
            'id'         => 'slider_bgblur',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Blur slider', 'thepack' ),
          ),
          array(
            'id'         => 'separator',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Separator', 'thepack' ),
          ),
          array(
            'id'         => 'separator_vertical',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Vertical separator', 'thepack' ),
          ),

          array(
            'id'         => 'progressbar_1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Progressbar 1', 'thepack' ),
          ),
          array(
            'id'         => 'progress_circle',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Progress circle', 'thepack' ),
          ),
          array(
            'id'         => 'before_after',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Before after', 'thepack' ),
          ),
          array(
            'id'         => 'typed_text_1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Typed text', 'thepack' ),
          ),
          array(
            'id'         => 'insta_feed',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Instagram', 'thepack' ),
          ),
          array(
            'id'         => 'altimagegrid',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Alternate Image Grid', 'thepack' ),
          ),

      ), // end: fields

    ), // end: text options


    // -----------------------------
    // begin: text options         -
    // -----------------------------
    array(
      'name'      => 'widget_optionsc',
      'title'     => 'Widgets C',
      'icon'      => 'dashicons-chart-bar',
      'fields'    => array(

          array(
            'id'         => 'iconbox',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Icon Box', 'thepack' ),
          ),
          array(
            'id'         => 'list_1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'List 1', 'thepack' ),
          ),
          array(
            'id'         => 'tooltipfolio',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Tooltip portfolio', 'thepack' ),
          ),

          array(
            'id'         => 'circular-phone',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Circular phone', 'thepack' ),
          ),
          array(
            'id'         => 'split_section',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Split section', 'thepack' ),
          ),
          array(
            'id'         => 'imagecaption',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Image caption', 'thepack' ),
          ),
          array(
            'id'         => 'image-layer2',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Image-layer 2', 'thepack' ),
          ),

          array(
            'id'         => 'tab_history',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Tab history', 'thepack' ),
          ),
          array(
            'id'         => 'cf7',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Contact form 7', 'thepack' ),
          ),
          array(
            'id'         => 'image-layer',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Image layer', 'thepack' ),
          ),
          array(
            'id'         => 'team_1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Team 1', 'thepack' ),
          ),
          array(
            'id'         => 'team_2',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Team 2', 'thepack' ),
          ),
          array(
            'id'         => 'button_1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Button 1', 'thepack' ),
          ),

          array(
            'id'         => 'button_2',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Button 2', 'thepack' ),
          ),
          array(
            'id'         => 'button_3',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Button 3', 'thepack' ),
          ),
          array(
            'id'         => 'button_4',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Button 4', 'thepack' ),
          ),
          array(
            'id'         => 'button_dbl',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Double Button', 'thepack' ),
          ),

          array(
            'id'         => 'flipcard',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Flipcard', 'thepack' ),
          ),
          array(
            'id'         => 'text_art1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Text art1', 'thepack' ),
          ),
          array(
            'id'         => 'text_art2',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Text art2', 'thepack' ),
          ),
          array(
            'id'         => 'text_art3',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Text art3', 'thepack' ),
          ),
          array(
            'id'         => 'links_1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Links 1', 'thepack' ),
          ),
          array(
            'id'         => 'image_hotspot1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Image hotspot 1', 'thepack' ),
          ),

          array(
            'id'         => 'cliendgrid1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Client grid 1', 'thepack' ),
          ),
          array(
            'id'         => 'imgart1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Image art', 'thepack' ),
          ),
          array(
            'id'         => 'imgrid',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Image grid', 'thepack' ),
          ),
          array(
            'id'         => 'pricing_1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Pricing 1', 'thepack' ),
          ),
          array(
            'id'         => 'imgbgbox_1',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Imagebox 1', 'thepack' ),
          ),                              

          array(
            'id'         => 'video-pop',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Video Popup', 'thepack' ),
          ),

          array(
            'id'         => 'videobg-pop',
            'type'       => 'switcher',
            'title'      =>   esc_html__( 'Video Popup 2', 'thepack' ),
          ),

      ), // end: fields

    ), // end: text options

    // -----------------------------
    // begin: text options         -
    // -----------------------------
    array(
      'name'      => 'icon_scrptstyl',
      'title'     => 'Script & Style',
      'icon'      => 'dashicons-editor-bold',

      // begin: fields
      'fields'    => array(
 
        // begin: a field 
        array(
          'id'                 => 'tb_scripts',
          'type'               => 'select',
          'title'              => 'Load Script', 
          'options'            => array(
            'scrollreveal' => 'Scrollreveal',
            'countdown' => 'Countdown',
            'slick' => 'Slick',
            'beerslider' => 'Before after slider',
            'jarallax' => 'Parallax background',
            'drooltip' => 'Tooltip',
            'slideshowify' => 'Kenburn slider',
            'transit' => 'Transit kenburn addon',
            'multiscroll' => 'Multiscroll',
            'jquery-easing' => 'Jquery easing',  
            'tbbootstrap' => 'Bootstrap',   
            'jquery.flex-images' => 'Justified Gallery',
            'jquery.ihavecookies' => 'Cookie Consent',       
          ),
          'attributes' => array(
            'multiple' => 'only-key',
            'style'    => 'width: 450px; height: 125px;'
          ),          
          'class'              => 'chosen',
          'default_option'     => 'Select script',
          'default'    => array( 'tbbootstrap'),
        ),

        array(
          'id'                 => 'tb_styles',
          'type'               => 'select',
          'title'              => 'Load Styles', 
          'options'            => array(
            'beerslider' => 'Before after slider',
            'bootstrap' => 'Bootstrap',
            'slick' => 'Slick',
            'drooltip' => 'Tool tip',
            'drooltip' => 'Tooltip',
            'multiscroll' => 'Multiscroll',
            'animate' =>'Animate'          
          ),
          'attributes' => array(
            'multiple' => 'only-key',
            'style'    => 'width: 450px; height: 125px;'
          ),          
          'class'              => 'chosen',
          'default_option'     => 'Select script',
          'default'    => array( 'bootstrap'),
        ),

        // end: a field

        // begin: a field 
        array(
          'id'                 => 'tb_fonts',
          'type'               => 'select',
          'title'              => 'Load icon-fonts', 
          'options'            => array(
            'line-awesome'              => 'Line awesome',
            'font-awesome'              => 'Font awesome',
            'themify-icons'             => 'Themify icons',
            'et-line-font'              => 'Et linefont',
            'linea_arrows'              => 'Linea arrows',
            'linea_basic'               => 'Linea basic',
            'linea_ecommerce'           => 'Linea ecommerce',
            'linea_basic_elaboration'   => 'Linea basic elaboration',
            'linea_music'           => 'Linea music',
            'LineIcons'                 => 'LineIcons',
            'linearicons'               => 'Linearicons',
            'elegant_font'              => 'Elegant font',
            //'xld-line'                  => 'Xld-line',
            'ios7'                      => 'iOS7',
            'rivolicon'                 => 'Rivolicon',
            'wppagebuilder'             => 'WP Pagebuilder',
            'dripicons'              => 'Dripicons',
            'iconmonstr'              => 'Icon monster',
            'materialdesign'              => 'Materialdesign',
            'mobirise'              => 'Mobirise',
            'tilda'              => 'Tilda',
            'icomoon' => 'Ico Moon'

          ),
          'attributes' => array(
            'multiple' => 'only-key',
            'style'    => 'width: 450px; height: 125px;'
          ),          
          'class'              => 'chosen',
          'default_option'     => 'Select your car',
          'default'    => array( 'line-awesome', 'elegant-icon', 'themify-icons','et-line-font','linea_arrows','linea_basic','linea_ecommerce','linea_basic_elaboration','linea_music','LineIcons','elegant_font','xld-line'),
        ),

      ), // end: fields

    ), // end: text options

	)
);


$options[] = array(
	'name'   => 'section_tpl',
	'title'  =>   esc_html__( 'Template', 'thepack' ),
	'icon'   => 'dashicons-admin-page',
	'fields' => array(

    array(
      'id'           => 'header_tpl',
      'type'         => 'select',
      'class'     => 'chosen',
      'title'   =>   esc_html__( 'Header template', 'thepack' ),
      'options' => thepack_footer_select($type='',$num='',$tax='header'),
    ),

    array(
      'id'           => 'footer_tpl',
      'type'         => 'select',
      'class'     => 'chosen',
      'title'   =>   esc_html__( 'Footer template', 'thepack' ),
      'options' => thepack_footer_select($type='',$num='',$tax='footer'),
    ),

    array(
      'id'           => 'error_tpl',
      'type'         => 'select',
      'class'     => 'chosen',
      'title'   =>   esc_html__( 'Error template 404', 'thepack' ),
      'options' => thepack_footer_select($type='',$num='',$tax='theme-builder'),
    ),

    array(
      'id'           => 'archive_tpl',
      'type'         => 'select',
      'class'     => 'chosen',
      'title'   =>   esc_html__( 'Post archive template', 'thepack' ),
      'options' => thepack_footer_select($type='',$num='',$tax='theme-builder'),
    ),

    array(
      'id'           => 'author_tpl',
      'type'         => 'select',
      'class'     => 'chosen',
      'title'   =>   esc_html__( 'Author template', 'thepack' ),
      'options' => thepack_footer_select($type='',$num='',$tax='theme-builder'),
    ),

    array(
      'id'           => 'search_tpl',
      'type'         => 'select',
      'class'     => 'chosen',
      'title'   =>   esc_html__( 'Search template', 'thepack' ),
      'options' => thepack_footer_select($type='',$num='',$tax='theme-builder'),
    ),

    array(
      'id'           => 'single_tpl',
      'type'         => 'select',
      'class'     => 'chosen',
      'title'   =>   esc_html__( 'Single post template', 'thepack' ),
      'options' => thepack_footer_select($type='',$num='',$tax='theme-builder'),
    ),

    array(
      'id'           => 'cookie_tpl',
      'type'         => 'select',
      'class'     => 'chosen',
      'title'   =>   esc_html__( 'Cookie template', 'thepack' ),
      'options' => thepack_footer_select($type='',$num='',$tax='theme-builder'),
    ),

	)
);


$options[] = array(
	'name'   => 'section_extra',
	'title'  =>   esc_html__( 'Extra', 'thepack' ),
	'icon'   => 'dashicons-admin-settings',
	'fields' => array(

	array(
		'id'              => 'imgsizes',
		'type'            => 'group',
		'title'           =>   esc_html__( 'Image Sizes', 'thepack' ),
		'button_title'    =>   esc_html__( 'Add New', 'thepack' ),
		'accordion_title' =>   esc_html__( 'Add New Image Sizes', 'thepack' ),
		'fields'          => array(

			array(
				'id'      => 'name',
				'type'    => 'text',
				'title'   =>   esc_html__( 'Name', 'thepack' ),
			),
			array(
				'id'      => 'width',
				'type'    => 'text',
				'title'   =>   esc_html__( 'Width', 'thepack' ),
			),
			array(
				'id'      => 'height',
				'type'    => 'text',
				'title'   =>   esc_html__( 'Height', 'thepack' ),
			),

			array(
				'id'      => 'crop',
				'type'    => 'switcher',
				'title'   =>   esc_html__( 'Crop', 'thepack' ),
			),

		)
	),

	array(
		'id'              => 'sidebars',
		'type'            => 'group',
		'title'           =>   esc_html__( 'Sidebars', 'thepack' ),
		'button_title'    =>   esc_html__( 'Add New', 'thepack' ),
		'accordion_title' =>   esc_html__( 'Add New Sidebar', 'thepack' ),
		'fields'          => array(
			array(
				'id'      => 'name',
				'type'    => 'text',
				'title'   =>   esc_html__( 'Name', 'thepack' ),
			),
		)
	),

	array(
	  'type'  => 'backup',
	  'title' => 'Backup Field',
	),		

	)
);


CSFramework::instance( $settings, $options );
